#!/bin/bash
# Copyright (C) 2007-2009 Timesys Corporation

. `dirname $0`/checktool-functions.sh

ANY_ERRORS=n
CONFIG=${WORKORDER}

echo "-- Checking platform for compatibility with gdb/gdbserver --"

if check TSWO_GDB=y; then
  echo "Problems with platform configuration (workorder):"
  echo "${ERRORS}"
elif check TSWO_SOFTWARE_gdbserver=y; then
  echo "GDB server cannot be used for remote (host/target) debugging:"
  echo "${ERRORS}"
fi

if [ ${ANY_ERRORS} == y ]; then
  echo "Check complete, details are above."
else
  echo "All checks passed"
fi
echo "For information on using gdb/gdbserver see:"
echo "  https://linuxlink.timesys.com/docs/wiki/engineering/HOWTO_Use_GDBServer"

