#!/bin/bash
# Copyright (C) 2007-2009 Timesys Corporation

. `dirname $0`/checktool-functions.sh

ANY_ERRORS=n
CONFIG=${WORKORDER}
BUSYBOX_CHECK=

echo "-- Checking platform for compatibility with LTP --"

if check TSWO_SOFTWARE_ltp=y; then
  echo "Problems with platform configuration (workorder):"
  echo -n "${ERRORS}"
fi

check_bbox

check_bbox_app coreutils BASENAME CAT CHMOD CHOWN CP CUT DATE DD DF DIRNAME ENV EXPR FALSE HEAD LN LS MKDIR MKFIFO MKNOD MV PRINTF PWD RM RMDIR SLEEP SORT SU TAIL TEE TEST TOUCH TR TRUE UNAME UNIQ WC WHOAMI
check_bbox_app TSWO_INSTALL_TOOLCHAIN_TO_TARGET AR
check_bbox_app cpio CPIO
check_bbox_app findutils FIND
check_bbox_app gawk AWK
check_bbox_app grep GREP FEATURE_GREP_EGREP_ALIAS FEATURE_GREP_FGREP_ALIAS
check_bbox_app shadow PASSWD
check_bbox_app sed SED
check_bbox_app tar TAR
check_bbox_app time TIME
check_bbox_app util-linux DMESG FDFORMAT MOUNT UMOUNT
check_bbox_app which WHICH
check_bbox_app mktemp MKTEMP
check_bbox_app module-init-tools INSMOD LSMOD MODPROBE RMMOD
if [ "${BBERRORS}" ]; then
  echo "${BBERRORS}"
fi

CONFIG=${BB_CONFIG}

if check_bbox_config; then
  echo "Busybox configuration problems:"
  echo "${ERRORS}"
fi

CONFIG=${WORKORDER}

if check TSWO_SOFTWARE_libaio=y; then
  echo "Async io test will not run, libaio required (libaio not supported on all platforms):"
  echo "$ERRORS"
fi

BBERRORS=
check_bbox_app net-tools ARP HOSTNAME IFCONFIG NETSTAT ROUTE
check_bbox_app iproute2 IP 
check_bbox_app iputils PING
if [ "${BBERRORS}" ]; then
  echo "Some network tests may fail, workorder configuration requirements:"
  echo "${BBERRORS}"
fi

CONFIG=${BB_CONFIG}

if check_bbox_config; then
  echo "Some network tests may fail, busybox configuration requirements:"
  echo "${ERRORS}"
fi

CONFIG=${WORKORDER}

if check TSWO_SOFTWARE_perl=y TSWO_perl_BUILDMICRO=n; then
  echo "HTML-reports will not work:"
  echo "$ERRORS"
fi

if check TSWO_LIBC_UCLIBC=n; then
  echo "UClibc is selected.  LTP will not build using uclibc."
  echo "$ERRORS"
fi

if [ ${ANY_ERRORS} == n ]; then
  echo "All checks passed"
else
  echo "Check complete, details are above."
fi
echo "For information on using LTP see:"
echo "  https://linuxlink.timesys.com/docs/wiki/engineering/HOWTO_Use_LTP"

