#!/bin/bash
# Copyright (C) 2007-2009 Timesys Corporation

echo "This will delete most of the build infrastucture from the filesystem.  Are you sure?  [Must type 'I am sure']"
read -p "? " SURE

if [ "${SURE}" != "I am sure" ]; then exit 1; fi


# delete all non selected packages, except special cases that may be indirectly
# required.
for d in $(find target/software/ -maxdepth 2 -mindepth 2 -type d | egrep -v '\.svn|prop-base|props|text-base|tmp' | fgrep -v gmp$'\n'mpfr$'\n'popt$'\n'termcap$'\n'gettext$'\n'libiconv$'\n'zlib)
do
    PKGNAME=$(basename $d)
    if [ -z "$(grep ^TSWO_SOFTWARE_$PKGNAME=y .config)" ]; then
        DEL_LIST+=" $d"
    fi
done

# delete the script bin directory
DEL_LIST+=" $(ls -d bin/*)"

# clear out any unselected bootloaders
for d in $(find target/bootloaders -mindepth 1 -maxdepth 1 -type d ! -name '.svn')
do
    BL=$(basename $d)
    # always leave u-boot for mkimage
    if [ "$BL" != "u-boot" ]; then
        if [ -z "$(grep TSWO_BOOTLOADER_$BL=y .config 2>/dev/null || true)" ]; then
            DEL_LIST+=" target/bootloaders/$BL"
        fi
    fi
done

DEL_LIST+=" target/early-userspace"
DEL_LIST+=" $(ls -d toolchain/libc/* | fgrep -v $(cat .config | egrep '^TSWO_LIBC=' | sed 's|^TSWO_LIBC="\(.*\)"|/\1|') | fgrep -v libc.mk)"
if [ -z "$(grep TSWO_TOOLCHAIN_cygwin=y .config 2>/dev/null || true)" ]; then
    DEL_LIST+=" toolchain/cygwin"
fi
DEL_LIST+=" include/default_configs"
DEL_LIST+=" target/configs"
DEL_LIST+=" doc"
DEL_LIST+=" $(find -name .svn -o -name "Config.in*")"

rm -rf $DEL_LIST

echo '#!/bin/true' > bin/get
chmod +x bin/get
sed -i 's/^\(TSWO_GLOBAL_SOURCE_LOCATION=\).*$/\1unused/' .config

