#!/bin/bash
# Copyright (C) 2007-2009 Timesys Corporation

# this must be ran from the top level dir

if [ "$0" != "./bin/per_pkg_test.sh" ]; then
    if [ "$0" != "bin/per_pkg_test.sh" ]; then
        echo "You must run this from the top build directory"
        exit 1
    fi
fi

make toolchain || exit 1
./bin/reset_build_environment.sh

#for pkg in $(find target/software/ -mindepth 2 -maxdepth 2 -type d  -exec basename {} \; | egrep -v 'prop-base|tmp|props|text-base|\.svn$' | sort)
for pkg in $(egrep -o 'TSWO_SOFTWARE_[^ =]+' .config | sed -re 's/TSWO_SOFTWARE_//' | sort)
do
    if [ -n "$(grep TSWO_BROKEN target/software/*/$pkg/Config.in 2>/dev/null)" ]; then
        echo "---- per_pkg_test: SKIPPING broken $pkg"
        continue
    fi
    if [ -n "$(ls build_*/packages/${pkg}-* 2>/dev/null)" ]; then
        echo "---- per_pkg_test: SKIPPING previously built $pkg"
        continue
    fi

    echo "---- per_pkg_test: $pkg"
    make $pkg-build || echo "per_pkg_test: $pkg FAILED"
    ./bin/reset_build_environment.sh 2>&1 > /dev/null
done
