#!/bin/bash
set -e

TCDESTDIR=~/.timesys/timestorm/toolchains/

register_toolchain ()
{
  local TCDIR=$1/toolchain
  XMLSRC=$TCDIR/toolchain.xml
  XMLDEST=$(echo $TCDIR | md5sum | awk '{print $1}').xml

  mkdir -p $TCDESTDIR
  sed -i -r -e "s|(<toolchain.*path=['\"]).*?(['\"].*>)|\1$TCDIR/bin\2|" $XMLSRC

  if [ -f $TCDESTDIR/$XMLDEST ]; then
    echo "This toolcahin is already registered."
    COMPILER=$(grep "type=['\"]CC['\"].*name=['\"].*gcc['\"]" $XMLSRC | sed -re "s/.*?name=['\"]([^'\"]+)['\"].*/\1/")
    ( grep $COMPILER $TCDESTDIR/$XMLDEST &>/dev/null ) ||  \
      (echo "Replacing toolchain registration." && \
      cat $XMLSRC > $TCDESTDIR/$XMLDEST)
  else
    echo "Registering toolchain."
    cat $XMLSRC > $TCDESTDIR/$XMLDEST
  fi
}

if [ -f build_*/toolchain/toolchain.xml ]; then
  register_toolchain $PWD/build_*
fi
