# Copyright (C) 2007-2009 Timesys Corporation

.PHONY: checkupdates check_for_newer_engine check_for_workorder_updates perform_workorder_updates perform_workorder_updates_noprompt update update-noprompt

ifeq (y,$(strip $(TSWO_CHECK_FOR_ENGINE_UPDATES)))
checkupdates: check_for_newer_engine check_for_workorder_updates
else
checkupdates: check_for_workorder_updates
endif

check_for_newer_engine:
	$(call PRINT_INFO,Checking for updates...)
	-@wget -O - -q --ignore-length "https://linuxlink.timesys.com/builderupdatecheck?version=$(strip $(call UNQUOTE_VAR,$(TSWO_BUILDER_VERSION)))&board=$(strip $(call UNQUOTE_VAR,$(TSWO_BOARD)))&user=$(strip $(call UNQUOTE_VAR,$(TSWO_UPDATE_USERNAME)))"

check_for_workorder_updates:
	$(call PRINT_INFO,Analyzing configuration for upgrades...)
	-@$(BASE_DIR)/bin/upgrade_dotconfig.sh --show

update: perform_workorder_updates
perform_workorder_updates:
	$(call PRINT_INFO,Analyzing configuration for upgrades...)
	-@yes '' | make oldconfig &>/dev/null
	-@$(BASE_DIR)/bin/upgrade_dotconfig.sh --upgrade

update-noprompt: perform_workorder_updates_noprompt
perform_workorder_updates_noprompt:
	$(call PRINT_INFO,Analyzing configuration for upgrades...)
	-@yes '' | make oldconfig &>/dev/null
	-@$(BASE_DIR)/bin/upgrade_dotconfig.sh --upgrade --noprompt

# vim:set noexpandtab: 
