# Copyright (C) 2007-2009 Timesys Corporation
# cpio RFS image make rules

.PHONY: rfs-image-cpio

rfs-image-cpio: $(BUILD_DIR)/.rfs.sh
	$(call PRINT_INFO,creating cpio RFS image)
	@mkdir -p $(IMAGES_DIR)/rfs
ifeq (y,$(strip $(call UNQUOTE_VAR,$(TSWO_RFS_FS_cpio_INITRAMFS))))
	@if [ ! -f $(TSWO_RFS_INSTALL_DIR)/init ]; then ln -sf /sbin/init $(TSWO_RFS_INSTALL_DIR)/init;fi
endif
	@echo 'find . -print | cpio -o $(call UNQUOTE_VAR,$(TSWO_RFS_FS_cpio_OPTIONS)) > $(IMAGES_DIR)/rfs/rootfs.cpio' \
		> $(IMAGES_DIR)/rfs/.cpio_run.sh
	@cd $(TSWO_RFS_INSTALL_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) /bin/bash -c "/bin/bash $(BUILD_DIR)/.rfs.sh; /bin/bash $(IMAGES_DIR)/rfs/.cpio_run.sh"
	@gzip -f $(IMAGES_DIR)/rfs/rootfs.cpio
	@rm -f $(IMAGES_DIR)/rfs/.cpio_run.sh
	@if [ -L $(TSWO_RFS_INSTALL_DIR)/init ]; then rm -f $(TSWO_RFS_INSTALL_DIR)/init;fi

# add to RFS_IMAGES list
ifeq (y,$(TSWO_RFS_FS_cpio))
RFS_IMAGES+=cpio
endif


# vim:set noexpandtab: 
