# Copyright (C) 2007-2009 Timesys Corporation
# cramfs RFS image make rules

.PHONY: rfs-image-cramfs

ifeq ($(TSWO_BIG_ENDIAN),y)
cramfs_ENDIANNESS=-b
else
cramfs_ENDIANNESS=-l
endif

cramfs_OPTIONS=$(strip $(call UNQUOTE_VAR,$(TSWO_RFS_FS_cramfs_OPTIONS)))

rfs-image-cramfs: $(BUILD_DIR)/.rfs.sh
	$(call PRINT_INFO,creating cramfs RFS image)
	@mkdir -p $(IMAGES_DIR)/rfs
	@PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) /bin/bash -c "/bin/bash $(BUILD_DIR)/.rfs.sh; \
			mkcramfs $(cramfs_OPTIONS) $(cramfs_ENDIANNESS) $(TSWO_RFS_INSTALL_DIR) $(IMAGES_DIR)/rfs/rootfs.cramfs"

# add to RFS_IMAGES list
ifeq (y,$(TSWO_RFS_FS_cramfs))
RFS_IMAGES+=cramfs
endif


# vim:set noexpandtab: 
