# Copyright (C) 2007-2009 Timesys Corporation
# jffs2 RFS image make rules

.PHONY: rfs-image-jffs2

ifeq ($(TSWO_BIG_ENDIAN),y)
JFFS2_ENDIANNESS=-b
else
JFFS2_ENDIANNESS=-l
endif

ifeq (y,$(strip $(TSWO_RFS_FS_jffs2_CLEANMARKER)))
TSWO_RFS_FS_jffs2_CREATE_OPTIONS+= -c $(strip $(TSWO_RFS_FS_jffs2_CLEANMARKER_SIZE))
else
TSWO_RFS_FS_jffs2_CREATE_OPTIONS+= -n
endif

ifeq (0,$(strip $(call UNQUOTE_VAR,$(TSWO_RFS_FS_jffs2_PAD))))
TSWO_RFS_FS_jffs2_CREATE_OPTIONS+= -p
else
TSWO_RFS_FS_jffs2_CREATE_OPTIONS+= -p $(strip $(call UNQUOTE_VAR,$(TSWO_RFS_FS_jffs2_PAD)))
endif

ifeq (,$(strip $(call UNQUOTE_VAR,$(TSWO_RFS_FS_jffs2_PAGESIZE))))
JFFS2_PAGESIZE=
else
JFFS2_PAGESIZE= -s $(strip $(call UNQUOTE_VAR,$(TSWO_RFS_FS_jffs2_PAGESIZE)))
endif

rfs-image-jffs2: mtd-utils-host-install $(BUILD_DIR)/.rfs.sh
	$(call PRINT_INFO,creating jffs2 RFS image)
	@mkdir -p $(IMAGES_DIR)/rfs
	@PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) /bin/bash -c "/bin/bash $(BUILD_DIR)/.rfs.sh; \
			mkfs.jffs2 $(JFFS2_ENDIANNESS) \
				-d $(TSWO_RFS_INSTALL_DIR) \
				$(JFFS2_PAGESIZE) \
				-e $(strip $(call UNQUOTE_VAR,$(TSWO_RFS_FS_jffs2_ERASEBLOCK))) \
				$(TSWO_RFS_FS_jffs2_CREATE_OPTIONS) \
				-q -o $(IMAGES_DIR)/rfs/rootfs.jffs2"
ifeq (y,$(TSWO_RFS_FS_jffs2_SUMMARY_SUPPORT))
	$(call PRINT_INFO,adding summary information to jffs2 RFS image)
	@PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) /bin/bash \
			-c "sumtool $(JFFS2_ENDIANNESS) \
				$(TSWO_RFS_FS_jffs2_CREATE_OPTIONS) \
				-e $(strip $(call UNQUOTE_VAR,$(TSWO_RFS_FS_jffs2_ERASEBLOCK))) \
				-i $(IMAGES_DIR)/rfs/rootfs.jffs2 \
				-o $(IMAGES_DIR)/rfs/rootfs.jffs2.sum; \
				rm $(IMAGES_DIR)/rfs/rootfs.jffs2"
endif

# add to RFS_IMAGES list
ifeq (y,$(TSWO_RFS_FS_jffs2))
RFS_IMAGES+=jffs2
endif


# vim:set noexpandtab: 
