# Copyright (C) 2007-2010 Timesys Corporation
# ecore rules

# Define common macros for ecore from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ecore))

ecore_OPTIONAL_DEPS=libXcursor libXprint libXinerama libXrandr libXss libXrender libXcomposite libXfixes libXdamage libXdpms libXtest openssl curl libxcb sdl DirectFB tslib gnutls
ecore_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(ecore_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
ecore-patch: $(ecore_OPTIONAL_DEPS_TARGETS)

ECORE_HOST_INSTALL_DIR=$(BUILD_DIR)/ecore-$(ecore_VERSION)/ecore-host-install
ecore-host-build: eina-host-build eet-host-build evas-host-build ecore-host-install $(BUILD_DIR)/ecore-$(ecore_VERSION)/.stamp_host_build
$(BUILD_DIR)/ecore-$(ecore_VERSION)/.stamp_host_build: 
	$(call PRINT_INFO,building ecore host copy)
	mkdir -p $(@D)/ecore-host-build
	$(INFLATE$(suffix $(ecore_SOURCE))) $(ecore_SRC_DL_DIR)/$(ecore_SOURCE) | \
		$(TAR) -C $(@D)/ecore-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(ecore_PATCHES),$(call APPLY_PATCH,$(@D)/ecore-host-build/$(ecore_WORKINGDIR),$(ecore_SRC_DL_DIR)/$(patch)))
	cd $(@D)/ecore-host-build/$(ecore_WORKINGDIR) && \
		LDFLAGS=-L$(LIBJPEG_HOST_INSTALL_DIR)/lib \
		CPPFLAGS=-I$(LIBJPEG_HOST_INSTALL_DIR)/include \
		PKG_CONFIG_PATH=$(EINA_HOST_INSTALL_DIR)/lib/pkgconfig:$(EET_HOST_INSTALL_DIR)/lib/pkgconfig:$(EVAS_HOST_INSTALL_DIR)/lib/pkgconfig \
		./configure \
			--enable-simple-x11 ac_cv_lib_Xrandr_XRRSizes=no \
			--prefix=$(ECORE_HOST_INSTALL_DIR) && \
		make && \
		make install
	@touch $@

$(BUILD_DIR)/ecore-$(ecore_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/ecore_config
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ecore))
SOFTWARE+=ecore
endif


# vim:set noexpandtab filetype=make: 
