# Copyright (C) 2007-2010 Timesys Corporation
# eet rules

# Define common macros for eet from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,eet))


ifeq (y,$(strip $(TSWO_SOFTWARE_openssl)))
eet-configure: openssl-host-install
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_gnutls)))
eet-configure: gnutls-host-install
endif

EET_HOST_INSTALL_DIR=$(BUILD_DIR)/eet-$(eet_VERSION)/eet-host-install
eet-host-build: libjpeg-host-build eina-host-build eet-host-install $(BUILD_DIR)/eet-$(eet_VERSION)/.stamp_host_build
$(BUILD_DIR)/eet-$(eet_VERSION)/.stamp_host_build: 
	$(call PRINT_INFO,building eet host copy)
	mkdir -p $(@D)/eet-host-build
	$(INFLATE$(suffix $(eet_SOURCE))) $(eet_SRC_DL_DIR)/$(eet_SOURCE) | \
		$(TAR) -C $(@D)/eet-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(eet_PATCHES),$(call APPLY_PATCH,$(@D)/eet-host-build/$(eet_WORKINGDIR),$(eet_SRC_DL_DIR)/$(patch)))
	cd $(@D)/eet-host-build/$(eet_WORKINGDIR) && \
		PKG_CONFIG_PATH=$(EINA_HOST_INSTALL_DIR)/lib/pkgconfig \
		LDFLAGS=-L$(LIBJPEG_HOST_INSTALL_DIR)/lib \
		CPPFLAGS=-I$(LIBJPEG_HOST_INSTALL_DIR)/include \
		./configure \
			--prefix=$(EET_HOST_INSTALL_DIR) && \
		make && \
		make install
	@touch $@

$(BUILD_DIR)/eet-$(eet_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/eet
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_eet))
SOFTWARE+=eet
endif


# vim:set noexpandtab filetype=make: 
