# Copyright (C) 2007-2010 Timesys Corporation
# eina rules

# Define common macros for eina from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,eina))


EINA_HOST_INSTALL_DIR=$(BUILD_DIR)/eina-$(eina_VERSION)/eina-host-install
eina-host-build: eina-host-install $(BUILD_DIR)/eina-$(eina_VERSION)/.stamp_host_build
$(BUILD_DIR)/eina-$(eina_VERSION)/.stamp_host_build:
	$(call PRINT_INFO,building eina host copy)
	mkdir -p $(@D)/eina-host-build
	$(INFLATE$(suffix $(eina_SOURCE))) $(eina_SRC_DL_DIR)/$(eina_SOURCE) | \
		$(TAR) -C $(@D)/eina-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(eina_PATCHES),$(call APPLY_PATCH,$(@D)/eina-host-build/$(eina_WORKINGDIR),$(eina_SRC_DL_DIR)/$(patch)))
	cd $(@D)/eina-host-build/$(eina_WORKINGDIR) && \
		./configure \
			--prefix=$(EINA_HOST_INSTALL_DIR) && \
		make && \
		make install
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_eina))
SOFTWARE+=eina
endif


# vim:set noexpandtab filetype=make: 
