# Copyright (C) 2007-2010 Timesys Corporation
# gpe-julia rules


$(eval $(call COMMON_SETUP,gpe-julia))

$(BUILD_DIR)/gpe-julia-$(gpe-julia_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-julia-$(gpe-julia_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-julia $(gpe-julia_VERSION))
	cd $(gpe-julia_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-julia_MAKE_CMD) \
        $(gpe-julia_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-julia-$(gpe-julia_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-julia $(gpe-julia_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-julia_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-julia_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-julia_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-julia-$(gpe-julia_VERSION)/.stamp_packaged:
	cd $(gpe-julia_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-julia_MAKE_CMD) DESTDIR=$(gpe-julia_PKG_INSTALL_DIR) install \
        $(gpe-julia_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-julia))
SOFTWARE+=gpe-julia
endif


# vim:set noexpandtab filetype=make: 
