# Copyright (C) 2007-2010 Timesys Corporation
# gpe-lights rules


$(eval $(call COMMON_SETUP,gpe-lights))

$(BUILD_DIR)/gpe-lights-$(gpe-lights_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-lights-$(gpe-lights_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-lights $(gpe-lights_VERSION))
	cd $(gpe-lights_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-lights_MAKE_CMD) \
        $(gpe-lights_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-lights-$(gpe-lights_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-lights $(gpe-lights_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-lights_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-lights_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-lights_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-lights-$(gpe-lights_VERSION)/.stamp_packaged:
	cd $(gpe-lights_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-lights_MAKE_CMD) DESTDIR=$(gpe-lights_PKG_INSTALL_DIR) install \
        $(gpe-lights_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-lights))
SOFTWARE+=gpe-lights
endif


# vim:set noexpandtab filetype=make: 
