# Copyright (C) 2007-2010 Timesys Corporation
# gpe-mixer rules


$(eval $(call COMMON_SETUP,gpe-mixer))

ifeq (0.42,$(strip $(call UNQUOTE_VAR,$(TSWO_gpe-mixer_VERSION))))
$(BUILD_DIR)/gpe-mixer-$(gpe-mixer_VERSION)/.stamp_configured:
	@touch $@
endif

$(BUILD_DIR)/gpe-mixer-$(gpe-mixer_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-mixer $(gpe-mixer_VERSION))
	cd $(gpe-mixer_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-mixer_MAKE_CMD) \
        $(gpe-mixer_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-mixer-$(gpe-mixer_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-mixer $(gpe-mixer_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-mixer_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-mixer_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-mixer_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-mixer-$(gpe-mixer_VERSION)/.stamp_packaged:
	cd $(gpe-mixer_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-mixer_MAKE_CMD) DESTDIR=$(gpe-mixer_PKG_INSTALL_DIR) install \
        $(gpe-mixer_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-mixer))
SOFTWARE+=gpe-mixer
endif


# vim:set noexpandtab filetype=make: 
