# Copyright (C) 2007-2010 Timesys Corporation
# gpe-othello rules


$(eval $(call COMMON_SETUP,gpe-othello))

$(BUILD_DIR)/gpe-othello-$(gpe-othello_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-othello-$(gpe-othello_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-othello $(gpe-othello_VERSION))
	cd $(gpe-othello_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-othello_MAKE_CMD) \
        $(gpe-othello_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-othello-$(gpe-othello_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-othello $(gpe-othello_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-othello_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-othello_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-othello_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-othello-$(gpe-othello_VERSION)/.stamp_packaged:
	cd $(gpe-othello_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-othello_MAKE_CMD) DESTDIR=$(gpe-othello_PKG_INSTALL_DIR) install \
        $(gpe-othello_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-othello))
SOFTWARE+=gpe-othello
endif


# vim:set noexpandtab filetype=make: 
