# Copyright (C) 2007-2010 Timesys Corporation
# gpe-ownerinfo rules


$(eval $(call COMMON_SETUP,gpe-ownerinfo))

$(BUILD_DIR)/gpe-ownerinfo-$(gpe-ownerinfo_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-ownerinfo-$(gpe-ownerinfo_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-ownerinfo $(gpe-ownerinfo_VERSION))
	cd $(gpe-ownerinfo_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-ownerinfo_MAKE_CMD) \
        $(gpe-ownerinfo_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-ownerinfo-$(gpe-ownerinfo_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing gpe-ownerinfo $(gpe-ownerinfo_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(gpe-ownerinfo_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(gpe-ownerinfo_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(gpe-ownerinfo_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install-program install-devel
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/gpe-ownerinfo-$(gpe-ownerinfo_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-ownerinfo $(gpe-ownerinfo_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-ownerinfo_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-ownerinfo_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install-program install-devel \
        $(gpe-ownerinfo_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-ownerinfo-$(gpe-ownerinfo_VERSION)/.stamp_packaged:
	cd $(gpe-ownerinfo_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-ownerinfo_MAKE_CMD) DESTDIR=$(gpe-ownerinfo_PKG_INSTALL_DIR) install-program install-devel \
        $(gpe-ownerinfo_BUILD_OPTIONS)
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-ownerinfo))
SOFTWARE+=gpe-ownerinfo
endif


# vim:set noexpandtab filetype=make: 
