# Copyright (C) 2007-2010 Timesys Corporation
# gpe-soundserver rules


$(eval $(call COMMON_SETUP,gpe-soundserver))

$(BUILD_DIR)/gpe-soundserver-$(gpe-soundserver_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-soundserver-$(gpe-soundserver_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-soundserver $(gpe-soundserver_VERSION))
	cd $(gpe-soundserver_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-soundserver_MAKE_CMD) \
        $(gpe-soundserver_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-soundserver-$(gpe-soundserver_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-soundserver $(gpe-soundserver_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-soundserver_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-soundserver_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-soundserver_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-soundserver-$(gpe-soundserver_VERSION)/.stamp_packaged:
	cd $(gpe-soundserver_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-soundserver_MAKE_CMD) DESTDIR=$(gpe-soundserver_PKG_INSTALL_DIR) install \
        $(gpe-soundserver_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-soundserver))
SOFTWARE+=gpe-soundserver
endif


# vim:set noexpandtab filetype=make: 
