# Copyright (C) 2007-2010 Timesys Corporation
# gpe-taskmanager rules


$(eval $(call COMMON_SETUP,gpe-taskmanager))

$(BUILD_DIR)/gpe-taskmanager-$(gpe-taskmanager_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-taskmanager-$(gpe-taskmanager_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-taskmanager $(gpe-taskmanager_VERSION))
	cd $(gpe-taskmanager_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-taskmanager_MAKE_CMD) \
        $(gpe-taskmanager_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-taskmanager-$(gpe-taskmanager_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-taskmanager $(gpe-taskmanager_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-taskmanager_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-taskmanager_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-taskmanager_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-taskmanager-$(gpe-taskmanager_VERSION)/.stamp_packaged:
	cd $(gpe-taskmanager_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-taskmanager_MAKE_CMD) DESTDIR=$(gpe-taskmanager_PKG_INSTALL_DIR) install \
        $(gpe-taskmanager_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-taskmanager))
SOFTWARE+=gpe-taskmanager
endif


# vim:set noexpandtab filetype=make: 
