# Copyright (C) 2007-2010 Timesys Corporation
# libgda rules

# Define common macros for libgda from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libgda))

libgda_OPTIONAL_DEPS=json-glib libsoup db gnome-vfs libxslt gamin openldap readline ncurses
libgda_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(libgda_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
libgda-patch: $(libgda_OPTIONAL_DEPS_TARGETS)

ifeq (y,$(TSWO_SOFTWARE_libsoup))
libgda_CONFIGURE_OPTIONS+=--with-libsoup
endif
ifneq (y,$(TSWO_SOFTWARE_db))
libgda_CONFIGURE_OPTIONS+=--without-bdb
endif

$(BUILD_DIR)/libgda-$(libgda_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{gda-*,gda_*}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libgda))
SOFTWARE+=libgda
endif


# vim:set noexpandtab filetype=make: 
