# Copyright (C) 2007-2010 Timesys Corporation
# qt-medical-demo rules

$(eval $(call COMMON_SETUP,qt-medical-demo))

$(BUILD_DIR)/qt-medical-demo-$(qt-medical-demo_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring qt-medical-demo $(qt-medical-demo_VERSION))
	$(call CONFIG_UPDATE,$(qt-medical-demo_DDIR))
	cd $(qt-medical-demo_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(QMAKE) \
		$(qt-medical-demo_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/qt-medical-demo-$(qt-medical-demo_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing qt-medical-demo $(qt-medical-demo_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/bin
	cd $(qt-medical-demo_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
	$(qt-medical-demo_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(qt-medical-demo_MAKE_CMD) INSTALL_ROOT=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/qt-medical-demo-$(qt-medical-demo_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,installing init scripts for qt-medical-demo)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(qt-medical-demo_SRC_DL_DIR)/S99-run-demo $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S99-run-demo
	@touch $@

$(BUILD_DIR)/qt-medical-demo-$(qt-medical-demo_VERSION)/.stamp_setup_initscripts: $(BUILD_DIR)/qt-medical-demo-$(qt-medical-demo_VERSION)/.stamp_packaged
	$(call PRINT_INFO,setting up qt-medical-demo init script)
	mkdir -p $(qt-medical-demo_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(qt-medical-demo_SRC_DL_DIR)/S99-run-demo $(qt-medical-demo_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(qt-medical-demo_PKG_INSTALL_DIR)/etc/init.d/S99-run-demo
	@touch $@

$(BUILD_DIR)/qt-medical-demo-$(qt-medical-demo_VERSION)/.stamp_packaged:
	cd $(qt-medical-demo_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
	$(qt-medical-demo_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(qt-medical-demo_MAKE_CMD) INSTALL_ROOT=$(qt-medical-demo_PKG_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/qt-medical-demo-$(qt-medical-demo_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/qt-medical-demo-$(qt-medical-demo_VERSION)/.stamp_setup_initscripts

ifeq (y,$(TSWO_SOFTWARE_qt-medical-demo))
SOFTWARE+=qt-medical-demo
endif


# vim:set noexpandtab filetype=make: 
