# Copyright (C) 2007-2010 Timesys Corporation
# startup-monitor rules


$(eval $(call COMMON_SETUP,startup-monitor))

$(BUILD_DIR)/startup-monitor-$(startup-monitor_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/startup-monitor-$(startup-monitor_VERSION)/.stamp_built:
	$(call PRINT_INFO,building startup-monitor $(startup-monitor_VERSION))
	cd $(startup-monitor_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(startup-monitor_MAKE_CMD) \
        $(startup-monitor_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/startup-monitor-$(startup-monitor_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing startup-monitor $(startup-monitor_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(startup-monitor_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(startup-monitor_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(startup-monitor_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/startup-monitor-$(startup-monitor_VERSION)/.stamp_packaged:
	cd $(startup-monitor_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(startup-monitor_MAKE_CMD) DESTDIR=$(startup-monitor_PKG_INSTALL_DIR) install \
        $(startup-monitor_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_startup-monitor))
SOFTWARE+=startup-monitor
endif


# vim:set noexpandtab filetype=make: 
