# Copyright (C) 2007-2010 Timesys Corporation
# teleport rules


$(eval $(call COMMON_SETUP,teleport))

$(BUILD_DIR)/teleport-$(teleport_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/teleport-$(teleport_VERSION)/.stamp_built:
	$(call PRINT_INFO,building teleport $(teleport_VERSION))
	cd $(teleport_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(teleport_MAKE_CMD) \
        $(teleport_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/teleport-$(teleport_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing teleport $(teleport_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(teleport_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(teleport_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(teleport_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/teleport-$(teleport_VERSION)/.stamp_packaged:
	cd $(teleport_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(teleport_MAKE_CMD) DESTDIR=$(teleport_PKG_INSTALL_DIR) install \
        $(teleport_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_teleport))
SOFTWARE+=teleport
endif


# vim:set noexpandtab filetype=make: 
