# Copyright (C) 2007-2010 Timesys Corporation
# xfce4-session rules

# Define common macros for xfce4-session from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xfce4-session))

xfce4-session_OPTIONAL_DEPS=gconf gnome-keyring
xfce4-session_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(xfce4-session_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
xfce4-session-patch: $(xfce4-session_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{xfce4-session-settings,xfce4-tips,xfce4-session,xfce4-session-logout}
	@touch $@

$(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_init_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_init_packaged: DESTDIR=$(xfce4-session_PKG_INSTALL_DIR)
$(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_init_rfs_installed
$(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_init_packaged
$(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_init_rfs_installed $(BUILD_DIR)/xfce4-session-$(xfce4-session_VERSION)/.stamp_init_packaged:
	$(call PRINT_INFO,performing post install steps for xfce4-session)
	mkdir -p $(DESTDIR)/etc/X11/Xsession.d
	-cp -f $(xfce4-session_SRC_DL_DIR)/99xfce4 $(DESTDIR)/etc/X11/Xsession.d/
	-chmod +x $(DESTDIR)/etc/X11/Xsession.d/99xfce4
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xfce4-session))
SOFTWARE+=xfce4-session
endif


# vim:set noexpandtab filetype=make: 
