# Copyright (C) 2007-2010 Timesys Corporation
# xst rules


$(eval $(call COMMON_SETUP,xst))

$(BUILD_DIR)/xst-$(xst_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/xst-$(xst_VERSION)/.stamp_built:
	$(call PRINT_INFO,building xst $(xst_VERSION))
	cd $(xst_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(xst_MAKE_CMD) \
        $(xst_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/xst-$(xst_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing xst $(xst_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(xst_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(xst_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(xst_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/xst-$(xst_VERSION)/.stamp_packaged:
	cd $(xst_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(xst_MAKE_CMD) DESTDIR=$(xst_PKG_INSTALL_DIR) install \
        $(xst_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_xst))
SOFTWARE+=xst
endif


# vim:set noexpandtab filetype=make: 
