# Copyright (C) 2007-2010 Timesys Corporation
# argp-standalone rules

# Define common macros for this argp-standalone from include/common.mk
$(eval $(call COMMON_SETUP,argp-standalone))

# Basic variables include version, url, and source.
#argp-standalone_VERSION?=1.3
#argp-standalone_URL?=$(TSWO_GLOBAL_SOURCE_LOCATION)/argp-standalone-$(argp-standalone_VERSION)/
#argp-standalone_SOURCE?=argp-standalone-$(argp-standalone_VERSION).tar.gz
# Additional variables include: configure options, patches, dependencies,
# the directory into which the upstream archive unpacks,
# and a designation to ignore make arguments like -jN (=y).
#argp-standalone_PATCHES?=argp-standalone-1.3-throw.patch

$(BUILD_DIR)/argp-standalone-$(argp-standalone_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing argp-standalone $(argp-standalone_VERSION) to the RFS)
	@cd $(argp-standalone_DDIR) && \
		cp -f argp-fmtstream.h  argp.h  argp-namefrob.h $(TSWO_RFS_INSTALL_DIR)/usr/include/
	@cd $(argp-standalone_DDIR) && \
		cp -f libargp.a $(TSWO_RFS_INSTALL_DIR)/usr/lib/
	@touch $@
$(BUILD_DIR)/argp-standalone-$(argp-standalone_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing argp-standalone $(argp-standalone_VERSION) to host)
	@cd $(argp-standalone_DDIR) && \
		cp -f argp-fmtstream.h  argp.h  argp-namefrob.h $(TSWO_HOST_INSTALL_DIR)/include/
	@cd $(argp-standalone_DDIR) && \
		cp -f libargp.a $(TSWO_HOST_INSTALL_DIR)/lib/
	@touch $@
$(BUILD_DIR)/argp-standalone-$(argp-standalone_VERSION)/.stamp_packaged:
	@mkdir -p $(argp-standalone_PKG_INSTALL_DIR)/usr/{include,lib}
	@cd $(argp-standalone_DDIR) && \
		cp -f argp-fmtstream.h  argp.h  argp-namefrob.h $(argp-standalone_PKG_INSTALL_DIR)/usr/include/
	@cd $(argp-standalone_DDIR) && \
		cp -f libargp.a $(argp-standalone_PKG_INSTALL_DIR)/usr/lib/
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_argp-standalone))
SOFTWARE+=argp-standalone
endif


# vim:set noexpandtab: 
