# Copyright (C) 2007-2010 Timesys Corporation
# autoconf rules

# Define common macros for this autoconf from include/common.mk
$(eval $(call COMMON_SETUP,autoconf))

AUTOCONF_HOST_INSTALL_DIR=$(BUILD_DIR)/autoconf-$(autoconf_VERSION)/autoconf-host-install
autoconf-host-build: autoconf-fetch $(BUILD_DIR)/autoconf-$(autoconf_VERSION)/.stamp_host_build
$(BUILD_DIR)/autoconf-$(autoconf_VERSION)/.stamp_host_build:
	$(call PRINT_INFO,building autoconf host copy)
	mkdir -p $(@D)/autoconf-host-build
	$(INFLATE$(suffix $(autoconf_SOURCE))) $(autoconf_SRC_DL_DIR)/$(autoconf_SOURCE) | \
		$(TAR) -C $(@D)/autoconf-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(autoconf_PATCHES),$(call APPLY_PATCH,$(@D)/autoconf-host-build/$(autoconf_WORKINGDIR),$(autoconf_SRC_DL_DIR)/$(patch)))
	cd $(@D)/autoconf-host-build/$(autoconf_WORKINGDIR) && \
		./configure \
			--prefix=$(AUTOCONF_HOST_INSTALL_DIR) && \
		make && \
		make install
	@touch $@

$(BUILD_DIR)/autoconf-$(autoconf_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/{autoreconf,autoscan,ifnames,autoconf,autoheader,autoupdate,autom4te}
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_autoconf))
SOFTWARE+=autoconf
endif


# vim:set noexpandtab: 
