# Copyright (C) 2007-2010 Timesys Corporation
# automake rules

# Define common macros for this automake from include/common.mk
$(eval $(call COMMON_SETUP,automake))

automake-patch: autoconf-host-build

$(BUILD_DIR)/automake-$(automake_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring automake $(automake_VERSION))
	$(call CONFIG_UPDATE,$(automake_DDIR))
	cd $(automake_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	cd $(automake_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(AUTOCONF_HOST_INSTALL_DIR)/bin:$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(automake_BUILD_OPTIONS) \
		./configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=/usr \
        	--exec-prefix=/usr \
			--bindir=/usr/bin \
			--sbindir=/usr/sbin \
			--libdir=/usr/lib \
			--libexecdir=/usr/lib \
			--sysconfdir=/etc \
			--datadir=/usr/share \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--includedir=/usr/include \
			$(TARGET_CONFIGURE_OPTIONS) \
        	$(automake_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/automake-$(automake_VERSION)/.stamp_built:
	$(call PRINT_INFO,building automake $(automake_VERSION))
	cd $(automake_DDIR) && \
		PATH=$(AUTOCONF_HOST_INSTALL_DIR)/bin:$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(automake_BUILD_OPTIONS) \
		$(automake_MAKE_CMD)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_automake))
SOFTWARE+=automake
endif


# vim:set noexpandtab: 
