# Copyright (C) 2007-2010 Timesys Corporation
# calibrateproto rules

TSWO_calibrateproto_VERSION="20080303"
TSWO_calibrateproto_URL="$(TSWO_GLOBAL_SOURCE_LOCATION)/c/calibrateproto/calibrateproto-$(TSWO_calibrateproto_VERSION)/"
TSWO_calibrateproto_SOURCE="calibrateproto-$(TSWO_calibrateproto_VERSION).tar.gz"
TSWO_calibrateproto_CONFIGURE_OPTIONS=""
TSWO_calibrateproto_BUILD_OPTIONS=""
TSWO_calibrateproto_PATCHES=""
TSWO_calibrateproto_FILES=""
TSWO_calibrateproto_DEPENDS=""
TSWO_calibrateproto_RUNTIME_DEPENDS=""
TSWO_calibrateproto_WORKINGDIR=""
TSWO_calibrateproto_BASIC_MAKE=""


$(eval $(call COMMON_SETUP,calibrateproto))


$(BUILD_DIR)/calibrateproto-$(calibrateproto_VERSION)/.stamp_post_host_installed:
	@cd $(TSWO_HOST_INSTALL_DIR)/lib/pkgconfig && \
		ln -sf xcalibrateproto.pc xcalibrateext.pc
	@touch $@

$(BUILD_DIR)/calibrateproto-$(calibrateproto_VERSION)/.stamp_post_rfs_installed:
	@cd $(TSWO_RFS_INSTALL_DIR)/usr/lib/pkgconfig && \
		ln -sf xcalibrateproto.pc xcalibrateext.pc
	@touch $@

$(BUILD_DIR)/calibrateproto-$(calibrateproto_VERSION)/.stamp_packaged:
	cd $(calibrateproto_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(calibrateproto_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(calibrateproto_MAKE_CMD) DESTDIR=$(calibrateproto_PKG_INSTALL_DIR) install
	cd $(calibrateproto_PKG_INSTALL_DIR)/usr/lib/pkgconfig && \
		ln -sf xcalibrateproto.pc xcalibrateext.pc
	@touch $@

$(BUILD_DIR)/calibrateproto-$(calibrateproto_VERSION)/.stamp_pre_configured:
	cd $(calibrateproto_DDIR) && \
		autoreconf -i
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_calibrateproto))
SOFTWARE+=calibrateproto
endif


# vim:set noexpandtab filetype=make: 
