# Copyright (C) 2007-2010 Timesys Corporation
# gmp rules

# Define common macros for this gmp from include/common.mk
$(eval $(call COMMON_SETUP,gmp))

ifeq (y,$(strip $(TSWO_gcc_BUILD_CXX)))
gmp_CONFIGURE_OPTIONS+=--enable-cxx
endif

GMP_HOST_BUILD_DIR=$(gmp_DIR)/gmp-host-build
GMP_HOST_INSTALL_DIR=$(gmp_DIR)/gmp-host-install

$(BUILD_DIR)/gmp-$(gmp_VERSION)/.stamp_toolchain_host_builddir:
	$(call PRINT_INFO,setting up gmp host build directory)
	@cp -rf $(gmp_DDIR) $(GMP_HOST_BUILD_DIR)
	-@cd $(GMP_HOST_BUILD_DIR) && $(MAKE) distclean 2>&1 > /dev/null
	@touch $@

$(BUILD_DIR)/gmp-$(gmp_VERSION)/.stamp_toolchain_host_installed: $(BUILD_DIR)/gmp-$(gmp_VERSION)/.stamp_toolchain_host_builddir
	$(call PRINT_INFO,building gmp for host)
	cd $(GMP_HOST_BUILD_DIR) && \
		$(HOST_BUILD_OPTIONS) \
		./configure \
			--prefix=$(GMP_HOST_INSTALL_DIR) \
			--disable-shared \
			$(HOST_CONFIGURE_OPTIONS) \
			$(TSWO_HOST_NAME)
	cd $(GMP_HOST_BUILD_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) install
	@touch $@

gmp-toolchain-host-install: $(FAKEROOT_HOST_INSTALL_TARGET) gmp-patch $(BUILD_DIR)/gmp-$(gmp_VERSION)/.stamp_toolchain_host_installed


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gmp))
SOFTWARE+=gmp
endif


# vim:set noexpandtab: 
