# Copyright (C) 2007-2010 Timesys Corporation
# mpc rules

# Define common macros for mpc from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mpc))

MPC_HOST_BUILD_DIR=$(mpc_DIR)/mpc-host-build
MPC_HOST_INSTALL_DIR=$(mpc_DIR)/mpc-host-install

$(BUILD_DIR)/mpc-$(mpc_VERSION)/.stamp_toolchain_host_installed:
	$(call PRINT_INFO,building mpc for host)
	mkdir -p $(MPC_HOST_BUILD_DIR)
	$(INFLATE$(suffix $(mpc_SOURCE))) $(mpc_SRC_DL_DIR)/$(mpc_SOURCE) | \
		$(TAR) -C $(MPC_HOST_BUILD_DIR) $(TSWO_TAR_OPTIONS) -
	cd $(MPC_HOST_BUILD_DIR) && \
		mv -f mpc-$(mpc_VERSION)/* ./ && \
		rmdir mpc-$(mpc_VERSION)
	$(foreach patch,$(mpc_PATCHES),$(call APPLY_PATCH,$(MPC_HOST_BUILD_DIR),$(mpc_SRC_DL_DIR)/$(patch)))
	cd $(MPC_HOST_BUILD_DIR) && \
		$(HOST_BUILD_OPTIONS) \
		./configure \
			--prefix=$(MPC_HOST_INSTALL_DIR) \
			--disable-shared \
			--with-mpfr=$(MPFR_HOST_INSTALL_DIR) \
			--with-gmp=$(GMP_HOST_INSTALL_DIR) \
			$(HOST_CONFIGURE_OPTIONS) \
			$(TSWO_HOST_NAME)
	cd $(MPC_HOST_BUILD_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) install
	@touch $@
mpc-toolchain-host-install: $(FAKEROOT_HOST_INSTALL_TARGET) gmp-toolchain-host-install mpfr-toolchain-host-install mpc-patch $(BUILD_DIR)/mpc-$(mpc_VERSION)/.stamp_toolchain_host_installed


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mpc))
SOFTWARE+=mpc
endif


# vim:set noexpandtab filetype=make: 
