# Copyright (C) 2007-2010 Timesys Corporation
# oprofile rules

# Define common macros for oprofile from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,oprofile))

$(BUILD_DIR)/oprofile-$(oprofile_VERSION)/.stamp_host_installed:
	@touch $@

OPIMPORT_HOSTINSTALL_DIR=$(BUILD_DIR)/oprofile-$(oprofile_VERSION)/opimport_host_build/oprofile-$(oprofile_VERSION)
$(BUILD_DIR)/oprofile-$(oprofile_VERSION)/.stamp_opimport_host_installed:
	$(call PRINT_INFO,building opimport for the host)
	mkdir -p $(@D)/opimport_host_build
	$(INFLATE$(suffix $(oprofile_SOURCE))) $(oprofile_SRC_DL_DIR)/$(oprofile_SOURCE) | \
		$(TAR) -C $(@D)/opimport_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(oprofile_PATCHES),$(call APPLY_PATCH,$(OPIMPORT_HOSTINSTALL_DIR)/,$(oprofile_SRC_DL_DIR)/$(patch)))
	cd $(OPIMPORT_HOSTINSTALL_DIR) && \
		$(HOST_BUILD_OPTIONS) \
		./configure \
			LDFLAGS=-lz \
			--disable-werror \
			--with-extra-includes=$(TSWO_FAKE_INSTALL_DIR)/include \
			--with-extra-libs=$(TSWO_FAKE_INSTALL_DIR)/lib \
			$(HOST_CONFIGURE_OPTIONS) \
        	$(oprofile_CONFIGURE_OPTIONS)
	cd $(OPIMPORT_HOSTINSTALL_DIR) && \
		$(MAKE)
	cd $(OPIMPORT_HOSTINSTALL_DIR) && \
		cp -f libabi/opimport $(TSWO_HOST_INSTALL_DIR)/bin/
	@touch $@

opimport-fetch: oprofile-fetch
opimport-unpack: opimport-fetch
opimport-patch: opimport-unpack
opimport-configure: opimport-patch
opimport-build: opimport-configure
opimport-rfs-install: opimport-build
opimport-package: opimport-build
opimport-host-install: opimport-build $(BUILD_DIR)/kernel-headers/.stamp_unpacked popt-fake-install libiberty-host-build libbfd-host-build $(BUILD_DIR)/oprofile-$(oprofile_VERSION)/.stamp_opimport_host_installed

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_oprofile))
SOFTWARE+=oprofile
endif

ifeq (y,$(TSWO_HOSTTOOL_opimport))
HOST_UTILITIES+=opimport
endif

# vim:set noexpandtab filetype=make: 
