# Copyright (C) 2007-2010 Timesys Corporation
# graphviz rules

# Define common macros for graphviz from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,graphviz))

ifeq (y,$(TSWO_SOFTWARE_gtk))
graphviz-patch: gtk-host-install
graphviz_CONFIGURE_OPTIONS+=--with-gtk
ifneq (y,$(TSWO_SOFTWARE_gtk-fb))
graphviz_CONFIGURE_OPTIONS+=--x-includes=$(TSWO_HOST_INSTALL_DIR)/include --x-libraries=$(TSWO_HOST_INSTALL_DIR)/lib
endif
else
graphviz_CONFIGURE_OPTIONS+=--without-gtk
endif

$(BUILD_DIR)/graphviz-$(graphviz_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{osage,gv2gxl,gxl2dot,acyclic,nop,dot2gxl,unflatten,twopi,gvcolor,bcomps,fdp,gvpack,diffimg,tred,mm2gv,neato,gml2gv,gvgen,ccomps,gvpr,dotty,sccmap,gxl2gv,gc,lneato,dot,prune,vimdot,circo,dijkstra}
	@touch $@

$(BUILD_DIR)/graphviz-$(graphviz_VERSION)/.stamp_pre_built:
	cd $(graphviz_DDIR) && \
		make -C lib/gvpr mkdefs CC=cc CFLAGS= LDFLAGS=
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_graphviz))
SOFTWARE+=graphviz
endif


# vim:set noexpandtab filetype=make: 
