# Copyright (C) 2007-2010 Timesys Corporation
# libv4l rules

# Define common macros for libv4l from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libv4l))


$(BUILD_DIR)/libv4l-$(libv4l_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/libv4l-$(libv4l_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/libv4l-$(libv4l_VERSION)/.stamp_host_installed: DESTDIR=$(TSWO_HOST_INSTALL_DIR)
$(BUILD_DIR)/libv4l-$(libv4l_VERSION)/.stamp_packaged: DESTDIR=$(libv4l_PKG_INSTALL_DIR)
$(BUILD_DIR)/libv4l-$(libv4l_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/libv4l-$(libv4l_VERSION)/.stamp_host_installed $(BUILD_DIR)/libv4l-$(libv4l_VERSION)/.stamp_packaged:
	cd $(libv4l_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) PREFIX=/usr install DESTDIR=$(DESTDIR)
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libv4l))
SOFTWARE+=libv4l
endif


# vim:set noexpandtab filetype=make: 
