# Copyright (C) 2007-2010 Timesys Corporation
# newt rules

# Define common macros for this newt from include/common.mk
$(eval $(call COMMON_SETUP,newt))


$(BUILD_DIR)/newt-$(newt_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing newt $(newt_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(newt_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(newt_MAKE_CMD) instroot=$(TSWO_RFS_INSTALL_DIR) install
	-ln -s libnewt.so.$(newt_VERSION) $(TSWO_RFS_INSTALL_DIR)/usr/lib/libnewt.so.$$(echo $(newt_VERSION) | awk -F. '{print $$1 "." $$2}')
	@touch $@

$(BUILD_DIR)/newt-$(newt_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/whiptail
	@touch $@

$(BUILD_DIR)/newt-$(newt_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing newt $(newt_VERSION) to host)
	mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(newt_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(newt_MAKE_CMD) instroot=$(TSWO_HOST_INSTALL_DIR) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	-ln -s libnewt.so.$(newt_VERSION) $(TSWO_HOST_INSTALL_DIR)/usr/lib/libnewt.so.$$(echo $(newt_VERSION) | awk -F. '{print $$1 "." $$2}')
	@touch $@

$(BUILD_DIR)/newt-$(newt_VERSION)/.stamp_packaged:
	cd $(newt_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(newt_MAKE_CMD) instroot=$(newt_PKG_INSTALL_DIR) install
	-ln -s libnewt.so.$(newt_VERSION) $(newt_PKG_INSTALL_DIR)/usr/lib/libnewt.so.$$(echo $(newt_VERSION) | awk -F. '{print $$1 "." $$2}')
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_newt))
SOFTWARE+=newt
endif


# vim:set noexpandtab: 
