# Copyright (C) 2007-2010 Timesys Corporation
# v4l-utils rules

# Define common macros for v4l-utils from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,v4l-utils))


$(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_built:
	$(call PRINT_INFO,building v4l-utils $(v4l-utils_VERSION))
	cd $(v4l-utils_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(v4l-utils_MAKE_CMD) \
        $(v4l-utils_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_host_installed: DESTDIR=$(TSWO_HOST_INSTALL_DIR)
$(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_packaged: DESTDIR=$(v4l-utils_PKG_INSTALL_DIR)
$(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_host_installed $(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,installing v4l-utils $(v4l-utils_VERSION) to $(DESTDIR))
	@mkdir -p $(DESTDIR)
	cd $(v4l-utils_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(v4l-utils_MAKE_CMD) DESTDIR=$(DESTDIR) install \
        $(v4l-utils_BUILD_OPTIONS) 
	@touch $@

$(BUILD_DIR)/v4l-utils-$(v4l-utils_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/v4l2-dbg
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{ivtv-ctl,v4l2-ctl,cx18-ctl,v4l2-compliance}
	@touch $@



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_v4l-utils))
SOFTWARE+=v4l-utils
endif


# vim:set noexpandtab filetype=make: 
