# Copyright (C) 2007-2010 Timesys Corporation
# xserver-xorg rules

$(eval $(call COMMON_SETUP,xserver-xorg))


ifeq (y,$(TSWO_SOFTWARE_tslib))
xserver-xorg-patch: tslib-host-install
xserver-xorg_CONFIGURE_OPTIONS+=--enable-tslib
endif
ifeq (y,$(TSWO_SOFTWARE_hal))
xserver-xorg-patch: hal-host-install
endif

ifneq (dri,$(MESA_DRIVER))
xserver-xorg_CONFIGURE_OPTIONS+=--enable-dri2=no --enable-dri=no --disable-glx
endif

$(BUILD_DIR)/xserver-xorg-$(xserver-xorg_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post install steps for xserver-xorg)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/{X11/Xsession.d,init.d}
	-cp -f $(xserver-xorg_SRC_DL_DIR)/S75-Xorg $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S75-Xorg
	-cp -f $(xserver-xorg_SRC_DL_DIR)/Xsession $(TSWO_RFS_INSTALL_DIR)/etc/X11/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession
	@touch $(@);

$(BUILD_DIR)/xserver-xorg-$(xserver-xorg_VERSION)/.stamp_setup_xinit: $(BUILD_DIR)/xserver-xorg-$(xserver-xorg_VERSION)/.stamp_packaged
	mkdir -p $(xserver-xorg_PKG_INSTALL_DIR)/etc/{X11/Xsession.d,init.d}
	-cp -f $(xserver-xorg_SRC_DL_DIR)/S75-Xorg $(xserver-xorg_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(xserver-xorg_PKG_INSTALL_DIR)/etc/init.d/S75-Xorg
	-cp -f $(xserver-xorg_SRC_DL_DIR)/Xsession $(xserver-xorg_PKG_INSTALL_DIR)/etc/X11/
	-chmod +x $(xserver-xorg_PKG_INSTALL_DIR)/etc/X11/Xsession
	@touch $(@);
$(BUILD_DIR)/xserver-xorg-$(xserver-xorg_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/xserver-xorg-$(xserver-xorg_VERSION)/.stamp_setup_xinit

$(BUILD_DIR)/xserver-xorg-$(xserver-xorg_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{gtf,X,Xorg,cvt}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_xserver-xorg))
SOFTWARE+=xserver-xorg
endif


# vim:set noexpandtab filetype=make: 
