# Copyright (C) 2007-2010 Timesys Corporation
# MPlayer rules


$(eval $(call COMMON_SETUP,MPlayer))

ifeq (y,$(TSWO_i386))
MPlayer_TARGET_BUILD_OPTIONS=CFLAGS="-O2 -fomit-frame-pointer" CXXFLAGS="-O2 -fomit-frame-pointer"
else
MPlayer_TARGET_BUILD_OPTIONS=$(TARGET_BUILD_OPTIONS)
endif

$(BUILD_DIR)/MPlayer-$(MPlayer_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring MPlayer $(MPlayer_VERSION))
	$(call CONFIG_UPDATE,$(MPlayer_DDIR))
	cd $(MPlayer_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(MPlayer_TARGET_BUILD_OPTIONS) \
        $(MPlayer_BUILD_OPTIONS) \
		./configure \
        	--prefix=/usr \
			--bindir=/usr/bin \
			--libdir=/usr/lib \
			--confdir=/etc \
			--datadir=/usr/share \
			--mandir=/usr/share/man \
			--with-extraincdir=$(live555_DDIR):$(TSWO_HOST_INSTALL_DIR)/usr/include \
			--with-extralibdir=$(TSWO_HOST_INSTALL_DIR)/usr/lib \
        	$(MPlayer_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/MPlayer-$(MPlayer_VERSION)/.stamp_built:
	$(call PRINT_INFO,building MPlayer $(MPlayer_VERSION))
	cd $(MPlayer_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(MPlayer_TARGET_BUILD_OPTIONS) \
		$(MPlayer_MAKE_CMD) \
        $(MPlayer_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_MPlayer))
SOFTWARE+=MPlayer
endif


# vim:set noexpandtab filetype=make: 
