# Copyright (C) 2007-2010 Timesys Corporation
# alchemy-gstreamer rules

# Define common macros for alchemy-gstreamer from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,alchemy-gstreamer))

$(BUILD_DIR)/alchemy-gstreamer-$(alchemy-gstreamer_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/alchemy-gstreamer-$(alchemy-gstreamer_VERSION)/.stamp_built:
	@touch $@
$(BUILD_DIR)/alchemy-gstreamer-$(alchemy-gstreamer_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/alchemy-gstreamer-$(alchemy-gstreamer_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing alchemy-gstreamer $(alchemy-gstreamer_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(alchemy-gstreamer_DDIR) && \
		$(TAR) --exclude='.stamp*' -cf - . | \
			PATH=$(BUILD_PATH) $(FAKEROOT_CMD) $(TAR) -C $(TSWO_RFS_INSTALL_DIR) -xf -
	@touch $@

$(BUILD_DIR)/alchemy-gstreamer-$(alchemy-gstreamer_VERSION)/.stamp_packaged:
	cd $(alchemy-gstreamer_DDIR) && \
		$(TAR) --exclude='.stamp*' -cf - . | \
			PATH=$(BUILD_PATH) $(FAKEROOT_CMD) $(TAR) -C $(alchemy-gstreamer_PKG_INSTALL_DIR) -xf -
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_alchemy-gstreamer))
SOFTWARE+=alchemy-gstreamer
endif


# vim:set noexpandtab filetype=make: 
