# Copyright (C) 2007-2010 Timesys Corporation
# alsa-utils rules


$(eval $(call COMMON_SETUP,alsa-utils))

ifeq (y,$(TSWO_LIBC_UCLIBC))
alsa-utils_BUILD_OPTIONS+=LDFLAGS=-lintl
endif

$(BUILD_DIR)/alsa-utils-$(alsa-utils_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post install steps for alsa-utils)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(alsa-utils_SRC_DL_DIR)/S50-unmute-sound-card $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S50-unmute-sound-card
	@touch $(@)

$(BUILD_DIR)/alsa-utils-$(alsa-utils_VERSION)/.stamp_packaged:
	cd $(alsa-utils_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(alsa-utils_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(alsa-utils_MAKE_CMD) DESTDIR=$(alsa-utils_PKG_INSTALL_DIR) install
	mkdir -p $(alsa-utils_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(alsa-utils_SRC_DL_DIR)/S50-unmute-sound-card $(alsa-utils_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(alsa-utils_PKG_INSTALL_DIR)/etc/init.d/S50-unmute-sound-card
	@touch $(@)


# add to software list
ifeq (y,$(TSWO_SOFTWARE_alsa-utils))
SOFTWARE+=alsa-utils
endif


# vim:set noexpandtab filetype=make: 
