# Copyright (C) 2007-2010 Timesys Corporation
# gsm rules

# Define common macros for gsm from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gsm))


$(BUILD_DIR)/gsm-$(gsm_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gsm-$(gsm_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gsm $(gsm_VERSION))
	cd $(gsm_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
        $(gsm_BUILD_OPTIONS) \
		$(gsm_MAKE_CMD) \
		$(TARGET_ALIASES) \
		LD=$(TSWO_FULL_TARGET_NAME)-gcc
	@touch $@

$(BUILD_DIR)/gsm-$(gsm_VERSION)/.stamp_packaged:
	cd $(gsm_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(gsm_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(gsm_MAKE_CMD) DESTDIR=$(gsm_PKG_INSTALL_DIR) install
	mkdir -p $(gsm_PKG_INSTALL_DIR)/usr/include/gsm
	cd $(gsm_PKG_INSTALL_DIR)/usr/include/gsm && \
		ln -sf ../gsm.h ./gsm.h
	@touch $@

$(BUILD_DIR)/gsm-$(gsm_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing gsm $(gsm_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(gsm_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(gsm_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(gsm_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	mkdir -p $(TSWO_HOST_INSTALL_DIR)/usr/include/gsm
	cd $(TSWO_HOST_INSTALL_DIR)/usr/include/gsm && \
		ln -sf ../gsm.h ./gsm.h
	@touch $@

$(BUILD_DIR)/gsm-$(gsm_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gsm $(gsm_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gsm_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(gsm_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(gsm_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/include/gsm
	cd $(TSWO_RFS_INSTALL_DIR)/usr/include/gsm && \
		ln -sf ../gsm.h ./gsm.h
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gsm))
SOFTWARE+=gsm
endif


# vim:set noexpandtab filetype=make: 
