# Copyright (C) 2007-2010 Timesys Corporation
# mediastreamer rules

# Define common macros for mediastreamer from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mediastreamer))

ifeq (y,$(TSWO_SOFTWARE_alsa-lib))
mediastreamer-patch: alsa-lib-host-install
endif

ifeq (y,$(TSWO_SOFTWARE_gsm))
mediastreamer-patch: gsm-host-install
mediastreamer_CONFIGURE_OPTIONS+=--with-gsm=$(TSWO_HOST_INSTALL_DIR)
endif

ifeq (y,$(TSWO_SOFTWARE_libv4l))
mediastreamer-patch: libv4l-host-install
endif

ifeq (y,$(TSWO_SOFTWARE_libX11))
mediastreamer-patch: libX11-host-install
endif

ifeq (y,$(TSWO_SOFTWARE_libtheora))
mediastreamer-patch: libtheora-host-install
endif

ifeq (y,$(TSWO_SOFTWARE_sdl))
mediastreamer-patch: sdl-host-install
endif

ifeq (y,$(TSWO_SOFTWARE_speex))
mediastreamer-patch: speex-host-install
else
mediastreamer_CONFIGURE_OPTIONS+=--disable-speex
endif

ifeq (y,$(TSWO_SOFTWARE_ffmpeg))
mediastreamer-patch: ffmpeg-host-install
mediastreamer_CONFIGURE_OPTIONS+=--with-ffmpeg=$(TSWO_HOST_INSTALL_DIR)
else
mediastreamer_CONFIGURE_OPTIONS+=--enable-video=no
endif

ifeq (y,$(TSWO_BIG_ENDIAN))
mediastreamer_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=yes
endif

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mediastreamer))
SOFTWARE+=mediastreamer
endif


# vim:set noexpandtab filetype=make: 
