# Copyright (C) 2007-2010 Timesys Corporation
# mlt rules

# Define common macros for mlt from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mlt))

ifeq (y,$(TSWO_LIBC_UCLIBC))
mlt_BUILD_OPTIONS+=LDFLAGS=-liconv
endif

ifneq (y,$(TSWO_SOFTWARE_ffmpeg))
mlt_CONFIGURE_OPTIONS+=--disable-avformat
else
mlt-patch: ffmpeg-host-install
endif
ifneq (y,$(TSWO_SOFTWARE_gtk))
ifneq (y,$(TSWO_SOFTWARE_gtk-fb))
mlt_CONFIGURE_OPTIONS+=--disable-gtk2
else
mlt-patch: gtk-host-install
endif
else
mlt-patch: gtk-host-install
endif
ifneq (y,$(TSWO_SOFTWARE_sdl))
mlt_CONFIGURE_OPTIONS+=--disable-sdl
else
mlt-patch: sdl-host-install
endif
ifneq (y,$(TSWO_SOFTWARE_libvorbis))
mlt_CONFIGURE_OPTIONS+=--disable-vorbis
else
mlt-patch: libvorbis-host-install
endif

$(BUILD_DIR)/mlt-$(mlt_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/melt
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mlt))
SOFTWARE+=mlt
endif


# vim:set noexpandtab filetype=make: 
