# Copyright (C) 2007-2010 Timesys Corporation
# mplayer-skin-icy rules

# Define common macros for mplayer-skin-icy from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mplayer-skin-icy))


$(BUILD_DIR)/mplayer-skin-icy-$(mplayer-skin-icy_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/mplayer-skin-icy-$(mplayer-skin-icy_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/mplayer-skin-icy-$(mplayer-skin-icy_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing mplayer-skin-icy $(mplayer-skin-icy_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins/icy
	cd $(mplayer-skin-icy_DDIR) && \
		cp -rf * $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins/icy/
	-cd $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins && \
		ln -fs icy default
	@touch $@

$(BUILD_DIR)/mplayer-skin-icy-$(mplayer-skin-icy_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/mplayer-skin-icy-$(mplayer-skin-icy_VERSION)/.stamp_packaged:
	mkdir -p $(mplayer-skin-icy_PKG_INSTALL_DIR)/usr/share/mplayer/skins/icy
	cd $(mplayer-skin-icy_DDIR) && \
		cp -rf * $(mplayer-skin-icy_PKG_INSTALL_DIR)/usr/share/mplayer/skins/icy/
	-cd $(mplayer-skin-icy_PKG_INSTALL_DIR)/usr/share/mplayer/skins && \
		ln -fs icy default
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mplayer-skin-icy))
SOFTWARE+=mplayer-skin-icy
endif


# vim:set noexpandtab filetype=make: 
