# Copyright (C) 2007-2010 Timesys Corporation
# mplayer-skin-mini rules

# Define common macros for mplayer-skin-mini from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mplayer-skin-mini))


$(BUILD_DIR)/mplayer-skin-mini-$(mplayer-skin-mini_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/mplayer-skin-mini-$(mplayer-skin-mini_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/mplayer-skin-mini-$(mplayer-skin-mini_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing mplayer-skin-mini $(mplayer-skin-mini_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins/mini
	cd $(mplayer-skin-mini_DDIR) && \
		cp -rf * $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins/mini/
	-cd $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins && \
		ln -fs mini default
	@touch $@

$(BUILD_DIR)/mplayer-skin-mini-$(mplayer-skin-mini_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/mplayer-skin-mini-$(mplayer-skin-mini_VERSION)/.stamp_packaged:
	mkdir -p $(mplayer-skin-mini_PKG_INSTALL_DIR)/usr/share/mplayer/skins/mini
	cd $(mplayer-skin-mini_DDIR) && \
		cp -rf * $(mplayer-skin-mini_PKG_INSTALL_DIR)/usr/share/mplayer/skins/mini/
	-cd $(mplayer-skin-mini_PKG_INSTALL_DIR)/usr/share/mplayer/skins && \
		ln -fs mini default
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mplayer-skin-mini))
SOFTWARE+=mplayer-skin-mini
endif


# vim:set noexpandtab filetype=make: 
