# Copyright (C) 2007-2010 Timesys Corporation
# oggvideotools rules

# Define common macros for oggvideotools from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,oggvideotools))

ifeq (y,$(TSWO_SOFTWARE_libgd))
oggvideotools-patch: libgd-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_libXpm))
oggvideotools-patch: libXpm-host-install
endif


ifeq (y,$(TSWO_oggvideotools_USE_CMAKE))
oggvideotools-patch: cmake-host-build
$(BUILD_DIR)/oggvideotools-$(oggvideotools_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/oggvideotools-$(oggvideotools_VERSION)/.stamp_post_configured: $(BUILD_DIR)/oggvideotools-$(oggvideotools_VERSION)/.stamp_cmake_configured
endif

$(BUILD_DIR)/oggvideotools-$(oggvideotools_VERSION)/.stamp_cmake_configured:
	$(call PRINT_INFO,configuring oggvideotools $(oggvideotools_VERSION))
	cd $(oggvideotools_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(CMAKE) \
        $(oggvideotools_BUILD_OPTIONS) \
        	$(oggvideotools_CONFIGURE_OPTIONS) \
		.
	@touch $@

$(BUILD_DIR)/oggvideotools-$(oggvideotools_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{mkThumbs,oggCut,oggThumb,oggSlideshow,oggLength,oggCat,oggTranscode,oggJoin,oggSplit,oggSilence,oggDump}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_oggvideotools))
SOFTWARE+=oggvideotools
endif


# vim:set noexpandtab filetype=make: 
