# Copyright (C) 2007-2010 Timesys Corporation
# pulseaudio rules

# Define common macros for pulseaudio from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,pulseaudio))

ifeq (y, $(strip $(TSWO_SOFTWARE_alsa-lib)))
pulseaudio-patch: alsa-lib-host-install
else
pulseaudio_CONFIGURE_OPTIONS+=--disable-alsa
endif

ifeq (y, $(strip $(TSWO_SOFTWARE_gconf)))
pulseaudio-patch: gconf-host-install
else
pulseaudio_CONFIGURE_OPTIONS+=--disable-gconf
endif

ifeq (y, $(strip $(TSWO_SOFTWARE_jack)))
pulseaudio-patch: jack-host-install
else
pulseaudio_CONFIGURE_OPTIONS+=--disable-jack
endif

ifeq (y, $(strip $(TSWO_SOFTWARE_avahi)))
pulseaudio-patch: avahi-host-install
else
pulseaudio_CONFIGURE_OPTIONS+=--disable-avahi
endif

ifeq (y, $(strip $(TSWO_SOFTWARE_bluez)))
pulseaudio-patch: bluez-host-install
else
pulseaudio_CONFIGURE_OPTIONS+=--disable-bluez
endif

ifeq (y, $(strip $(TSWO_SOFTWARE_dbus)))
pulseaudio-patch: dbus-host-install
else
pulseaudio_CONFIGURE_OPTIONS+=--disable-dbus
endif

ifeq (y, $(strip $(TSWO_SOFTWARE_libX11)))
pulseaudio-patch: libX11-host-install
else
pulseaudio_CONFIGURE_OPTIONS+=--with-x=no
endif

ifeq (y, $(strip $(TSWO_udev_BUILD_EXTRAS)))
pulseaudio-patch: udev-host-install
endif

$(BUILD_DIR)/pulseaudio-$(pulseaudio_VERSION)/.stamp_pre_built:
ifeq (y,$(TSWO_arm))
	cd $(pulseaudio_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(MAKE) -C src libpulsecore_$(pulseaudio_VERSION)_la-svolume_arm.lo CFLAGS+=-march=armv6 
endif
ifeq (y,$(TSWO_armeb))
	cd $(pulseaudio_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(MAKE) -C src libpulsecore_$(pulseaudio_VERSION)_la-svolume_arm.lo CFLAGS+=-march=armv6 
endif
	@touch $@

$(BUILD_DIR)/pulseaudio-$(pulseaudio_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{pulseaudio,start-pulseaudio-x11,pax11publish,pasuspender,parec,esdcompat,pamon,pacat,pactl,start-pulseaudio-kde,pacmd,paplay,padsp,parecord}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_pulseaudio))
SOFTWARE+=pulseaudio
endif


# vim:set noexpandtab filetype=make: 
