# Copyright (C) 2007-2010 Timesys Corporation
# sox rules

# Define common macros for sox from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,sox))

ifeq (y,$(TSWO_LIBC_UCLIBC))
sox_CONFIGURE_OPTIONS+=LIBS=-lm
endif

sox_OPTIONAL_DEPS=libpng libtool2  libmad libid3tag lame twolame gsm libvorbis libogg flac alsa-lib pulseaudio libsndfile ffmpeg
sox_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(sox_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
sox-patch: $(sox_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/sox-$(sox_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{soxi,sox,play,rec}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_sox))
SOFTWARE+=sox
endif


# vim:set noexpandtab filetype=make: 
