# Copyright (C) 2007-2010 Timesys Corporation
# CanFestival rules

# Define common macros for CanFestival from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,CanFestival))


$(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring CanFestival $(CanFestival_VERSION))
	$(call CONFIG_UPDATE,$(CanFestival_DDIR))
	cd $(CanFestival_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		./configure \
			--prefix=/usr \
			--cc=$(TSWO_FULL_TARGET_NAME)-gcc \
			--cxx=$(TSWO_FULL_TARGET_NAME)-g++ \
			--ld=$(TSWO_FULL_TARGET_NAME)-gcc \
			--arch=$(TSWO_KERNEL_ARCH) \
			--os=linux \
			--target=unix \
			--kerneldir=$(kernel_WORKINGDIR) \
        	$(CanFestival_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_rm_pyc_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_rm_pyc_packaged: DESTDIR=$(CanFestival_PKG_INSTALL_DIR)
$(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_rm_pyc_rfs_installed
$(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_rm_pyc_packaged
$(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_rm_pyc_rfs_installed $(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_rm_pyc_packaged:
	find $(DESTDIR)/usr/objdictgen -name '*.pyc' -exec rm {} \;
	@touch $@

$(BUILD_DIR)/CanFestival-$(CanFestival_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{CANOpenShell,TestMasterSlave,TestMasterMicroMod}
	@touch $@



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_CanFestival))
SOFTWARE+=CanFestival
endif


# vim:set noexpandtab filetype=make: 
