# Copyright (C) 2007-2010 Timesys Corporation
# WebKit rules

# Define common macros for WebKit from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,WebKit))


# run autogen.sh and then the normal configure works just fine
$(BUILD_DIR)/WebKit-$(WebKit_VERSION)/.stamp_pre_configured:
	cd $(WebKit_DDIR) && \
    $(SED) -i '/configure /d' autogen.sh
	cd $(WebKit_DDIR) && \
		PATH=$(BUILD_PATH) \
		./autogen.sh
	@touch $@

$(BUILD_DIR)/WebKit-$(WebKit_VERSION)/.stamp_post_configured:
	cd $(WebKit_DDIR) && \
		$(SED) -i.badlibtool -r -e '/^Programs_GtkLauncher_LINK/{s/=CC/=CXX/;n; s/CCLD/CXXLD/}' \
			-e '/^Programs_UnitTests_LINK/{s/=CC/=CXX/;n; s/CCLD/CXXLD/}' \
			GNUmakefile
	@touch $@

$(BUILD_DIR)/WebKit-$(WebKit_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/jsc
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_WebKit))
SOFTWARE+=WebKit
endif


# vim:set noexpandtab filetype=make: 
