# Copyright (C) 2007-2010 Timesys Corporation
# asterisk rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,asterisk))

asterisk_OPTIONAL_DEPS=sqlite3 alsa-lib sdl net-snmp libvorbis libogg flac curl
asterisk_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(asterisk_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
asterisk-patch: $(asterisk_OPTIONAL_DEPS_TARGETS)

# asterisk passes on target cflags to the menuselect build which uses the host compiler.
ASTERISK_TARGET_BUILD_OPTIONS=$(patsubst -m%,$(EMPTY),$(TARGET_BUILD_OPTIONS))

ifneq (y,$(TSWO_SOFTWARE_sdl))
asterisk_CONFIGURE_OPTIONS+=--with-sdl=no
endif
ifneq (y,$(TSWO_SOFTWARE_net-snmp))
asterisk_CONFIGURE_OPTIONS+=--with-netsnmp=no
endif
ifneq (y,$(TSWO_SOFTWARE_curl))
asterisk_CONFIGURE_OPTIONS+=--with-curl=no --with-libcurl=no
endif

$(BUILD_DIR)/asterisk-$(asterisk_VERSION)/.stamp_built:
	$(call PRINT_INFO,building asterisk $(asterisk_VERSION))
	cd $(asterisk_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(asterisk_MAKE_CMD) \
        $(asterisk_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_asterisk))
SOFTWARE+=asterisk
endif


# vim:set noexpandtab filetype=make: 
