# Copyright (C) 2007-2010 Timesys Corporation
# bind rules

# Define common macros for bind from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,bind))


ifneq (y,$(strip $(TSWO_SOFTWARE_libxml2)))
bind_CONFIGURE_OPTIONS+=--with-libxml2=no
else
bind_CONFIGURE_OPTIONS+=--with-libxml2=yes
bind-patch: libxml2-host-install
endif

$(BUILD_DIR)/bind-$(bind_VERSION)/.stamp_pre_configured:
	cd $(bind_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/bind-$(bind_VERSION)/.stamp_post_rfs_installed:
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/{etc/init.d,var/named}
	-cp -f $(bind_SRC_DL_DIR)/S50-bind $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S50-bind
	-cp -f $(bind_SRC_DL_DIR)/named.conf $(TSWO_RFS_INSTALL_DIR)/etc/
	@touch $@

$(BUILD_DIR)/bind-$(bind_VERSION)/.stamp_packaged:
	cd $(bind_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(bind_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(bind_MAKE_CMD) DESTDIR=$(bind_PKG_INSTALL_DIR) install
	mkdir -p $(bind_PKG_INSTALL_DIR)/{etc/init.d,var/named}
	-cp -f $(bind_SRC_DL_DIR)/S50-bind $(bind_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(bind_PKG_INSTALL_DIR)/etc/init.d/S50-bind
	-cp -f $(bind_SRC_DL_DIR)/named.conf $(bind_PKG_INSTALL_DIR)/etc/
	@touch $@

$(BUILD_DIR)/bind-$(bind_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_bind))
SOFTWARE+=bind
endif


# vim:set noexpandtab filetype=make: 
