# Copyright (C) 2007-2010 Timesys Corporation
# connman rules

# Define common macros for connman from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,connman))


ifeq (y,$(TSWO_udev_BUILD_EXTRAS))
connman-patch: udev-host-install
else
ifeq (y,$(TSWO_SOFTWARE_busybox))
connman_CONFIGURE_OPTIONS+=--disable-udev
endif
endif

ifeq (y,$(TSWO_SOFTWARE_wpa_supplicant))
connman-patch: wpa_supplicant-host-install
connman_CONFIGURE_OPTIONS+=--enable-wifi
endif

ifeq (y,$(TSWO_SOFTWARE_inotify-tools))
connman-patch: inotify-tools-host-install
connman_CONFIGURE_OPTIONS+=--enable-loopback
endif

ifeq (y,$(TSWO_SOFTWARE_ppp))
connman-patch: ppp-host-install
connman_CONFIGURE_OPTIONS+=--enable-ppp --with-pppd=/usr/sbin/pppd
endif

ifeq (y,$(TSWO_SOFTWARE_libnl))
connman-patch: libnl-host-install
connman_CONFIGURE_OPTIONS+=--enable-tools
endif

ifeq (y,$(TSWO_SOFTWARE_dhcp))
connman-patch: dhcp-host-install
connman_CONFIGURE_OPTIONS+=--enable-dhclient --with-dhclient=/sbin/dhclient
endif

ifeq (y,$(TSWO_SOFTWARE_busybox))
connman_CONFIGURE_OPTIONS+=--enable-udhcp --with-udhcpc=/sbin/udhcpc
endif

ifeq (Y,$(TSWO_SOFTWARE_ofona))
connman-patch: ofono-host-install
connman_CONFIGURE_OPTIONS+=--enable-ofono
endif

ifeq (Y,$(TSWO_SOFTWARE_bluez))
connman-patch: bluez-host-install
connman_CONFIGURE_OPTIONS+=--enable-bluetooth
endif


$(BUILD_DIR)/connman-$(connman_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/sbin/connmand
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_connman))
SOFTWARE+=connman
endif


# vim:set noexpandtab filetype=make: 
