# Copyright (C) 2007-2010 Timesys Corporation
# fennec rules

# Define common macros for fennec from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,fennec))


$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring fennec $(fennec_VERSION))
	echo CROSS_COMPILE=1 > $(fennec_DDIR)/mozconfig
	echo HOST_CC=gcc >> $(fennec_DDIR)/mozconfig
	echo HOST_CXX=g++ >> $(fennec_DDIR)/mozconfig
#	echo mk_add_options 'MOZ_BUILD_PROJECTS="xulrunner mobile"' >> $(fennec_DDIR)/mozconfig
	echo mk_add_options 'MOZ_BUILD_PROJECTS="xulrunner"' >> $(fennec_DDIR)/mozconfig
	echo mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../mobilebase >> $(fennec_DDIR)/mozconfig
	echo ac_add_app_options xulrunner --enable-application=xulrunner >> $(fennec_DDIR)/mozconfig
	echo ac_add_app_options xulrunner --disable-javaxpcom >> $(fennec_DDIR)/mozconfig
#	echo ac_add_options ac_add_app_options xulrunner --with-arm-kuser >> $(fennec_DDIR)/mozconfig
	echo ac_add_options --target=$(TSWO_FULL_TARGET_NAME)  >> $(fennec_DDIR)/mozconfig
	echo ac_add_options --disable-tests >> $(fennec_DDIR)/mozconfig
#	echo ac_add_app_options mobile --enable-application=mobile >> $(fennec_DDIR)/mozconfig
#	echo ac_add_app_options mobile --with-libxul-sdk=../xulrunner/dist >> $(fennec_DDIR)/mozconfig
	cd $(fennec_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
	        $(fennec_BUILD_OPTIONS) \
		$(fennec_MAKE_CMD) -f client.mk configure
	@touch $@

# build host version of nsinstall
$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_pre_built:
	$(call PRINT_INFO,building native progs for fennec $(fennec_VERSION))
	@cd $(fennec_DDIR) && \
		PATH=$(BUILD_PATH) \
        	$(MAKE) -C ../mobilebase/xulrunner/config nsinstall && \
		PATH=$(BUILD_PATH) \
        	$(MAKE) -C ../mobilebase/xulrunner/nsprpub/config nsinstall \
			HOST_CC=gcc && \
		PATH=$(BUILD_PATH) \
        	$(MAKE) -C ../mobilebase/xulrunner/js/src/config nsinstall \
			HOST_CC=gcc HOST_CXX=g++ && \
		PATH=$(BUILD_PATH) \
        	$(MAKE) -C ../mobilebase/xulrunner/js/src jscpucfg \
			host_jskwgen host_jsoplengen HOST_CC=gcc HOST_CXX=g++
#	read
	@touch $@

# build xulrunner
$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_built:
	$(call PRINT_INFO,building xulrunner for fennec $(fennec_VERSION))
	cd $(fennec_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
	        $(fennec_BUILD_OPTIONS) \
		$(fennec_MAKE_CMD) -f client.mk build

	$(call PRINT_INFO,installing xulrunner $(fennec_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(fennec_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
	        $(fennec_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(fennec_MAKE_CMD) -f client.mk DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
#	read
	@touch $@

$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_post_built:
	$(call PRINT_INFO,configuring fennec $(fennec_VERSION))
	echo CROSS_COMPILE=1 > $(fennec_DDIR)/mozconfig
	echo HOST_CC=gcc >> $(fennec_DDIR)/mozconfig
	echo HOST_CXX=g++ >> $(fennec_DDIR)/mozconfig
	echo mk_add_options 'MOZ_BUILD_PROJECTS="xulrunner mobile"' >> $(fennec_DDIR)/mozconfig
	echo mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../mobilebase >> $(fennec_DDIR)/mozconfig
	echo ac_add_app_options xulrunner --enable-application=xulrunner >> $(fennec_DDIR)/mozconfig
	echo ac_add_app_options xulrunner --disable-javaxpcom >> $(fennec_DDIR)/mozconfig
#	echo ac_add_options ac_add_app_options xulrunner --with-arm-kuser >> $(fennec_DDIR)/mozconfig
	echo ac_add_options --target=$(TSWO_FULL_TARGET_NAME)  >> $(fennec_DDIR)/mozconfig
	echo ac_add_options --disable-tests >> $(fennec_DDIR)/mozconfig
	echo ac_add_app_options mobile --enable-application=mobile >> $(fennec_DDIR)/mozconfig
	echo ac_add_app_options mobile --with-libxul-sdk=../xulrunner/dist >> $(fennec_DDIR)/mozconfig
	cd $(fennec_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
	        $(fennec_BUILD_OPTIONS) \
		$(fennec_MAKE_CMD) -f client.mk configure

	$(call PRINT_INFO,building native progs for fennec $(fennec_VERSION))
	@cd $(fennec_DDIR) && \
		PATH=$(BUILD_PATH) \
        	$(MAKE) -C ../mobilebase/xulrunner/config nsinstall && \
		PATH=$(BUILD_PATH) \
        	$(MAKE) -C ../mobilebase/xulrunner/nsprpub/config nsinstall \
			HOST_CC=gcc && \
		PATH=$(BUILD_PATH) \
        	$(MAKE) -C ../mobilebase/xulrunner/js/src/config nsinstall \
			HOST_CC=gcc HOST_CXX=g++ && \
		PATH=$(BUILD_PATH) \
        	$(MAKE) -C ../mobilebase/xulrunner/js/src jscpucfg \
			host_jskwgen host_jsoplengen HOST_CC=gcc HOST_CXX=g++

	$(call PRINT_INFO,building fennec $(fennec_VERSION))
	cd $(fennec_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
	        $(fennec_BUILD_OPTIONS) \
		$(fennec_MAKE_CMD) -f client.mk build

#	read
	@touch $@

# fennec-rfs-install is a frontend for:
#
#$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_pre_rfs_installed:
#	@touch $@

$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing fennec $(fennec_VERSION) to the RFS)
#	read
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(fennec_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(fennec_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(fennec_MAKE_CMD) -f client.mk DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

#$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_post_rfs_installed:
#	@touch $@

# fennec-package is a frontend for:
#
#$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_pre_packaged:
#	$(call PRINT_INFO,packaging fennec $(fennec_VERSION))
#	@mkdir -p $(fennec_PKG_INSTALL_DIR)
#	@touch $@
#$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_packaged:
#	cd $(fennec_DDIR) && \
#		PATH=$(BUILD_PATH) \
#		$(TARGET_ALIASES) \
#        $(fennec_BUILD_OPTIONS) \
#		$(FAKEROOT_CMD) $(fennec_MAKE_CMD) DESTDIR=$(fennec_PKG_INSTALL_DIR) install
#	@touch $@
#$(BUILD_DIR)/fennec-$(fennec_VERSION)/.stamp_post_packaged:
#	$(call CREATE_PACKAGE, fennec,$(fennec_PKG_INSTALL_DIR),$(fennec_PKG_NAME),$(fennec_VERSION),$(fennec_BUILDNUM),$(fennec_RUNTIME_DEPENDS))
#	@rm -rf $(fennec_PKG_INSTALL_DIR)
#	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_fennec))
SOFTWARE+=fennec
endif


# vim:set noexpandtab filetype=make: 
