# Copyright (C) 2007-2010 Timesys Corporation
# gammu rules

# Define common macros for gammu from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gammu))

gammu-patch: cmake-host-build

gammu_OPTIONAL_DEPS=sqlite3 curl bluez bluez-libs
gammu_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gammu_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gammu-patch: $(gammu_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/gammu-$(gammu_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{gammu-smsd-monitor,gammu-smsd,jadmaker,gammu-smsd-inject,gammu}
	@touch $@

$(BUILD_DIR)/gammu-$(gammu_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring gammu $(gammu_VERSION))
	$(call CONFIG_UPDATE,$(gammu_DDIR))
	cd $(gammu_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(CMAKE) \
        $(gammu_BUILD_OPTIONS) \
        	$(gammu_CONFIGURE_OPTIONS) \
		.
	@touch $@



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gammu))
SOFTWARE+=gammu
endif


# vim:set noexpandtab filetype=make: 
