# Copyright (C) 2007-2010 Timesys Corporation
# lighttpd rules

# Define common macros for this lighttpd from include/common.mk
$(eval $(call COMMON_SETUP,lighttpd))


ifeq (y,$(strip $(TSWO_SOFTWARE_pcre)))
lighttpd-patch: pcre-host-install
lighttpd_CONFIGURE_OPTIONS+=--with-pcre=yes
else
lighttpd_CONFIGURE_OPTIONS+=--with-pcre=no
endif



# add to software list
ifeq (y,$(TSWO_SOFTWARE_lighttpd))
SOFTWARE+=lighttpd
endif

$(BUILD_DIR)/lighttpd-$(lighttpd_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/lighttpd-$(lighttpd_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/lighttpd-$(lighttpd_VERSION)/.stamp_post_rfs_installed: INSTALL_DIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/lighttpd-$(lighttpd_VERSION)/.stamp_files_packaged: INSTALL_DIR=$(lighttpd_PKG_INSTALL_DIR)

$(BUILD_DIR)/lighttpd-$(lighttpd_VERSION)/.stamp_post_rfs_installed $(BUILD_DIR)/lighttpd-$(lighttpd_VERSION)/.stamp_files_packaged:
	$(call PRINT_INFO,performing post install steps for lighttpd)
	@mkdir -p $(INSTALL_DIR)/etc/init.d
	-cp -f $(lighttpd_SRC_DL_DIR)/lighttpd.conf $(INSTALL_DIR)/etc
	-cp -f $(lighttpd_SRC_DL_DIR)/S55-lighttpd $(INSTALL_DIR)/etc/init.d/
	-chmod +x $(INSTALL_DIR)/etc/init.d/S55-lighttpd
	@touch $(@);


# vim:set noexpandtab: 
