# Copyright (C) 2007-2010 Timesys Corporation
# live555 rules

# Define common macros for live555 from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,live555))


$(BUILD_DIR)/live555-$(live555_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring live555 $(live555_VERSION))
	cd $(live555_DDIR) && \
		./genMakefiles linux
	@touch $@

$(BUILD_DIR)/live555-$(live555_VERSION)/.stamp_built:
	$(call PRINT_INFO,building live555 $(live555_VERSION))
	cd $(live555_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(live555_MAKE_CMD) \
        	$(live555_BUILD_OPTIONS) \
			CPLUSPLUS_COMPILER=$(TSWO_FULL_TARGET_NAME)-g++ \
			C_COMPILER=$(TSWO_FULL_TARGET_NAME)-gcc \
			LINK='$(TSWO_FULL_TARGET_NAME)-g++ -o ' \
			LIBRARY_LINK='$(TSWO_FULL_TARGET_NAME)-ld -o '
	@touch $@

$(BUILD_DIR)/live555-$(live555_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing live555 $(live555_VERSION) to the RFS)
	mkdir -p  $(TSWO_RFS_INSTALL_DIR)/usr/{lib,bin,include}
	cd $(live555_DDIR) && \
		find testProgs/ -type f -perm /+x -exec cp -f {} $(TSWO_RFS_INSTALL_DIR)/usr/bin/ \;
	cd $(live555_DDIR) && \
		find . -name '*.a' -exec cp -f {} $(TSWO_RFS_INSTALL_DIR)/usr/lib/ \;
	cd $(live555_DDIR) && \
		for inc in $$(find ./*/include/ -name '*.hh' );do \
			DIR=$$(dirname $${inc/include\//}); \
			mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/include/$$DIR; \
			cp -f $$inc $(TSWO_RFS_INSTALL_DIR)/usr/include/$$DIR; \
		done
	@touch $@

$(BUILD_DIR)/live555-$(live555_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/live555-$(live555_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,installing live555 $(live555_VERSION) to the RFS)
	mkdir -p  $(live555_PKG_INSTALL_DIR)/usr/{lib,bin,include}
	cd $(live555_DDIR) && \
		find testProgs/ -type f -perm /+x -exec cp -f {} $(live555_PKG_INSTALL_DIR)/usr/bin/ \;
	cd $(live555_DDIR) && \
		find . -name '*.a' -exec cp -f {} $(live555_PKG_INSTALL_DIR)/usr/lib/ \;
	cd $(live555_DDIR) && \
		for inc in $$(find ./*/include/ -name '*.hh' );do \
			DIR=$$(dirname $${inc/include\//}); \
			mkdir -p $(live555_PKG_INSTALL_DIR)/usr/include/$$DIR; \
			cp -f $$inc $(live555_PKG_INSTALL_DIR)/usr/include/$$DIR; \
		done
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_live555))
SOFTWARE+=live555
endif


# vim:set noexpandtab filetype=make: 
