# Copyright (C) 2007-2010 Timesys Corporation
# midori rules

# Define common macros for midori from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,midori))

ifeq (y,$(TSWO_SOFTWARE_openssl))
midori-patch: openssl-host-install
endif

$(BUILD_DIR)/midori-$(midori_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring midori $(midori_VERSION))
	$(call CONFIG_UPDATE,$(midori_DDIR))
	cd $(midori_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		CPP=$(TSWO_FULL_TARGET_NAME)-cpp \
    $(midori_BUILD_OPTIONS) \
		./waf configure \
        	--prefix=/usr \
        	--exec-prefix=/usr \
			--bindir=/usr/bin \
			--sbindir=/usr/sbin \
			--libdir=/usr/lib \
			--libexecdir=/usr/lib \
			--sysconfdir=/etc \
			--datarootdir=/usr/share \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--includedir=/usr/include \
        	$(midori_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/midori-$(midori_VERSION)/.stamp_pre_built:
	cd $(midori_DDIR) && \
    $(FIND) . -name default.cache.py -exec $(SED) -i -re "s/^(LINK_CC = '.*)-gcc/\1-g++/" {} \;
	@touch $@

$(BUILD_DIR)/midori-$(midori_VERSION)/.stamp_built:
	$(call PRINT_INFO,building midori $(midori_VERSION))
	cd $(midori_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		CPP=$(TSWO_FULL_TARGET_NAME)-cpp \
		$(TARGET_BUILD_OPTIONS) \
    $(midori_BUILD_OPTIONS) \
		./waf build
	@touch $@

$(BUILD_DIR)/midori-$(midori_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing midori $(midori_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(midori_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		CPP=$(TSWO_FULL_TARGET_NAME)-cpp \
        $(midori_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) ./waf install --destdir=$(TSWO_RFS_INSTALL_DIR)
	@touch $@

$(BUILD_DIR)/midori-$(midori_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/midori-$(midori_VERSION)/.stamp_packaged:
	cd $(midori_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		CPP=$(TSWO_FULL_TARGET_NAME)-cpp \
        $(midori_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) ./waf install --destdir=$(midori_PKG_INSTALL_DIR)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_midori))
SOFTWARE+=midori
endif


# vim:set noexpandtab filetype=make: 
