# Copyright (C) 2007-2010 Timesys Corporation
# portmap rules

# Define common macros for this portmap from include/common.mk
$(eval $(call COMMON_SETUP,portmap))


$(BUILD_DIR)/portmap-$(portmap_VERSION)/.stamp_configured:
ifeq (y,$(TSWO_mips))
	cd $(portmap_DDIR) && \
		sed -i '/pie$$/d' Makefile
endif
	@touch $@

$(BUILD_DIR)/portmap-$(portmap_VERSION)/.stamp_packaged:
	mkdir -p $(portmap_PKG_INSTALL_DIR)/{sbin,usr/sbin}
	cd $(portmap_DDIR) && \
		PATH=$(BUILD_PATH) \
		install -m 755 portmap   $(portmap_PKG_INSTALL_DIR)/sbin && \
		PATH=$(BUILD_PATH) \
		$(TSWO_FULL_TARGET_NAME)-strip $(portmap_PKG_INSTALL_DIR)/sbin/portmap && \
		install -m 755 pmap_dump $(portmap_PKG_INSTALL_DIR)/usr/sbin && \
		PATH=$(BUILD_PATH) \
		$(TSWO_FULL_TARGET_NAME)-strip $(portmap_PKG_INSTALL_DIR)/usr/sbin/pmap_dump && \
		install -m 755 pmap_set  $(portmap_PKG_INSTALL_DIR)/usr/sbin && \
		PATH=$(BUILD_PATH) \
		$(TSWO_FULL_TARGET_NAME)-strip $(portmap_PKG_INSTALL_DIR)/usr/sbin/pmap_set
	@touch $@

$(BUILD_DIR)/portmap-$(portmap_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/portmap-$(portmap_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing portmap to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/{sbin,usr/sbin}
	cd $(portmap_DDIR) && \
		PATH=$(BUILD_PATH) \
		install -m 755 portmap   $(TSWO_RFS_INSTALL_DIR)/sbin && \
		PATH=$(BUILD_PATH) \
		$(TSWO_FULL_TARGET_NAME)-strip $(TSWO_RFS_INSTALL_DIR)/sbin/portmap && \
		install -m 755 pmap_dump $(TSWO_RFS_INSTALL_DIR)/usr/sbin && \
		PATH=$(BUILD_PATH) \
		$(TSWO_FULL_TARGET_NAME)-strip $(TSWO_RFS_INSTALL_DIR)/usr/sbin/pmap_dump && \
		install -m 755 pmap_set  $(TSWO_RFS_INSTALL_DIR)/usr/sbin && \
		PATH=$(BUILD_PATH) \
		$(TSWO_FULL_TARGET_NAME)-strip $(TSWO_RFS_INSTALL_DIR)/usr/sbin/pmap_set
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_portmap))
SOFTWARE+=portmap
endif


# vim:set noexpandtab: 
