# Copyright (C) 2007-2010 Timesys Corporation
# vsftpd rules

# Define common macros for vsftpd from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,vsftpd))

ifeq (y,$(TSWO_SOFTWARE_openssl))
vsftpd-package: openssl-host-install
endif

$(BUILD_DIR)/vsftpd-$(vsftpd_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring vsftpd $(vsftpd_VERSION))
	cd $(vsftpd_DDIR) && \
		$(SED) -i.bak -re 's|\s/lib| $(TSWO_HOST_INSTALL_DIR)/lib|g' -e 's|\s/usr| $(TSWO_HOST_INSTALL_DIR)/usr|g' -e 's|\"/lib|"$(TSWO_HOST_INSTALL_DIR)/lib|g' -e 's|"/usr|"$(TSWO_HOST_INSTALL_DIR)/usr|g' vsf_findlibs.sh
ifeq (y,$(TSWO_SOFTWARE_openssl))
	cd $(vsftpd_DDIR) && \
		$(SED) -i.bak -re 's/undef VSF_BUILD_SSL/define VSF_BUILD_SSL/' builddefs.h
endif
	@touch $@

$(BUILD_DIR)/vsftpd-$(vsftpd_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_vsftpd))
SOFTWARE+=vsftpd
endif


# vim:set noexpandtab filetype=make: 
