# Copyright (C) 2007-2010 Timesys Corporation
# wintegra-addons rules

# Define common macros for wintegra-addons from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wintegra-addons))


$(BUILD_DIR)/wintegra-addons-$(wintegra-addons_VERSION)/.stamp_configured:
	@touch $@

ifneq (y,$(TSWO_wintegra-addons_BUILD_SOURCE))
$(BUILD_DIR)/wintegra-addons-$(wintegra-addons_VERSION)/.stamp_built:
	@touch $@
endif

$(BUILD_DIR)/wintegra-addons-$(wintegra-addons_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,installing init scripts for wintegra-addons)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(wintegra-addons_SRC_DL_DIR)/S16-minimon-printer $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S16-minimon-printer
	@touch $@

$(BUILD_DIR)/wintegra-addons-$(wintegra-addons_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/wintegra-addons-$(wintegra-addons_VERSION)/.stamp_setup_initscripts:
	$(call PRINT_INFO,setting up init scripts for wintegra-addons)
	mkdir -p $(wintegra-addons_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(wintegra-addons_SRC_DL_DIR)/S16-minimon-printer $(wintegra-addons_PKG_INSTALL_DIR)/etc/init.d/
	chmod +x $(wintegra-addons_PKG_INSTALL_DIR)/etc/init.d/S16-minimon-printer
	@touch $@

$(BUILD_DIR)/wintegra-addons-$(wintegra-addons_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/wintegra-addons-$(wintegra-addons_VERSION)/.stamp_setup_initscripts


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wintegra-addons))
SOFTWARE+=wintegra-addons
endif


# vim:set noexpandtab filetype=make:
