# Copyright (C) 2007-2010 Timesys Corporation
# wireshark rules

# Define common macros for wireshark from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wireshark))

WIRESHARK_HEADERS=color.h config.h register.h epan/*.h epan/crypt/*.h epan/dfilter/*.h epan/dissectors/*.h epan/ftypes/*.h wiretap/*.h

$(BUILD_DIR)/wireshark-$(wireshark_VERSION)/.stamp_pre_built:
	cd $(wireshark_DDIR) && \
		$(MAKE) rdps CC=gcc CFLAGS=
	cd $(wireshark_DDIR) && \
		$(MAKE) -C tools/lemon lemon CC_FOR_BUILD=gcc
	@touch $@

$(BUILD_DIR)/wireshark-$(wireshark_VERSION)/.stamp_built:
	$(call PRINT_INFO,building wireshark $(wireshark_VERSION))
	cd $(wireshark_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(wireshark_MAKE_CMD) \
        $(wireshark_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/wireshark-$(wireshark_VERSION)/.stamp_post_rfs_installed:
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/{etc/wireshark,usr/{include/wireshark,bin,share/{applications,pixmaps}}}
	cd $(wireshark_DDIR) && \
		cp -f tools/idl2wrs.sh $(TSWO_RFS_INSTALL_DIR)/usr/bin/ && \
		cp -f wireshark.desktop $(TSWO_RFS_INSTALL_DIR)/usr/share/applications/ && \
		cp -f image/hi48-app-wireshark.png $(TSWO_RFS_INSTALL_DIR)/usr/share/pixmaps/wireshark.png && \
		cp --parents -f $(WIRESHARK_HEADERS) $(TSWO_RFS_INSTALL_DIR)/usr/include/wireshark/
	@touch $@

$(BUILD_DIR)/wireshark-$(wireshark_VERSION)/.stamp_packaged:
	cd $(wireshark_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(wireshark_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(wireshark_MAKE_CMD) DESTDIR=$(wireshark_PKG_INSTALL_DIR) install
	mkdir -p $(wireshark_PKG_INSTALL_DIR)/{etc/wireshark,usr/{include/wireshark,bin,share/{applications,pixmaps}}}
	cd $(wireshark_DDIR) && \
		cp -f tools/idl2wrs.sh $(wireshark_PKG_INSTALL_DIR)/usr/bin/ && \
		cp -f wireshark.desktop $(wireshark_PKG_INSTALL_DIR)/usr/share/applications/ && \
		cp -f image/hi48-app-wireshark.png $(wireshark_PKG_INSTALL_DIR)/usr/share/pixmaps/wireshark.png && \
		cp --parents -f $(WIRESHARK_HEADERS) $(wireshark_PKG_INSTALL_DIR)/usr/include/wireshark/
	@touch $@

$(BUILD_DIR)/wireshark-$(wireshark_VERSION)/.stamp_post_host_installed:
	mkdir -p $(TSWO_HOST_INSTALL_DIR)/usr/include/wireshark
	cd $(wireshark_DDIR) && \
		cp --parents -f $(WIRESHARK_HEADERS) $(TSWO_HOST_INSTALL_DIR)/usr/include/wireshark/
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/{*dumpcap,*mergecap,*wireshark,*idl2wrs,*capinfos,*tshark,*dftest,*editcap,*rawshark,*randpkt,*text2pcap}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wireshark))
SOFTWARE+=wireshark
endif


# vim:set noexpandtab filetype=make: 
