# Copyright (C) 2007-2010 Timesys Corporation
# phoneme_advanced rules

# Define common macros for phoneme_advanced from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,phoneme_advanced))

$(BUILD_DIR)/phoneme_advanced-$(phoneme_advanced_VERSION)/.stamp_unpacked:
	$(call PRINT_INFO,unpacking phoneme_advanced $(phoneme_advanced_VERSION))
	@mkdir -p $(@D)
	@unzip -d $(@D) -oq $(phoneme_advanced_SRC_DL_DIR)/$(phoneme_advanced_SOURCE)
	@touch $@


$(BUILD_DIR)/phoneme_advanced-$(phoneme_advanced_VERSION)/.stamp_configured:
	@touch $@

#Override because passing the normal CC, etc vars to phoneme breaks it.
# Also pass -C and pass BUILD_OPTIONS on command-line instead of 
# via environment.
$(BUILD_DIR)/phoneme_advanced-$(phoneme_advanced_VERSION)/.stamp_built:
	$(call PRINT_INFO,building phoneme_advanced $(phoneme_advanced_VERSION))
	@[ -z "$(JDK_HOME)" ] && echo phoneme requires JDK_HOME to be set to a host installation of J2SE 1.4 && exit 1
	cd $(phoneme_advanced_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(phoneme_advanced_MAKE_CMD) \
			-C cdc/build/linux-$(TSWO_KERNEL_ARCH)-generic \
     			$(phoneme_advanced_BUILD_OPTIONS) \
			JAVAME_LEGAL_DIR=$(phoneme_advanced_DDIR)/legal \
			BINARY_BUNDLE_NAME=phoneme_advanced \
			BINARY_BUNDLE_APPEND_REVISION=FALSE \
			bin
	@touch $@

# In the unpack phases I am skipping democlasses and testclasses, both 
# because they install into a weird place (looks like a phoneME bug), 
# and because excluding them for space reasons makes sense.
#
$(BUILD_DIR)/phoneme_advanced-$(phoneme_advanced_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing phoneme_advanced $(phoneme_advanced_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr
	unzip -o -d $(TSWO_RFS_INSTALL_DIR)/usr \
		$(phoneme_advanced_DDIR)/cdc/install/phoneme_advanced.zip \
		-x "*/democlasses.jar" "*/testclasses.zip"
	@touch $@

$(BUILD_DIR)/phoneme_advanced-$(phoneme_advanced_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/phoneme_advanced-$(phoneme_advanced_VERSION)/.stamp_packaged:
	unzip -o -d $(phoneme_advanced_PKG_INSTALL_DIR)/usr \
                $(phoneme_advanced_DDIR)/cdc/install/phoneme_advanced.zip \
		-x "*/democlasses.jar" "*/testclasses.zip"
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_phoneme_advanced))
SOFTWARE+=phoneme_advanced
endif

# vim:set noexpandtab filetype=make: 
