# Copyright (C) 2007-2010 Timesys Corporation
# php rules

# Define common macros for php from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,php))

# "optional" deps
ifeq (y,$(TSWO_SOFTWARE_libxml2))
php-patch: libxml2-host-install
else
php_CONFIGURE_OPTIONS+=--disable-libxml --disable-dom --disable-simplexml --disable-xml --disable-xmlreader --disable-xmlwriter --disable-pear
endif

ifeq (y,$(TSWO_SOFTWARE_sqlite3))
php-patch: sqlite3-host-install
endif

# If you want iconv feature in php, you need to select libiconv and
# change the configure options to include --enable-iconv
ifeq (y,$(TSWO_SOFTWARE_libiconv))
php-patch: libiconv-host-install
endif

# sed the php /usr hardcode nastiness out of the configure script
$(BUILD_DIR)/php-$(php_VERSION)/.stamp_pre_configured:
	sed -i 's|for \(.*\) /usr\(/local\)\? /usr\(/local\)\? *;|for \1 $(TSWO_HOST_INSTALL_DIR);|' $(php_DDIR)/configure
	cd $(php_DDIR) && \
		./configure --prefix=/usr --disable-all && \
		$(MAKE) cli && \
		cp ./sapi/cli/php ./sapi/cli/php.host && \
		$(MAKE) distclean
	@touch $@

$(BUILD_DIR)/php-$(php_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing php $(php_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(php_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(php_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(php_MAKE_CMD) INSTALL_ROOT=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/php-$(php_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/php-$(php_VERSION)/.stamp_packaged:
	cd $(php_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(php_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(php_MAKE_CMD) INSTALL_ROOT=$(php_PKG_INSTALL_DIR) install
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_php))
SOFTWARE+=php
endif


# vim:set noexpandtab filetype=make: 
