# Copyright (C) 2007-2010 Timesys Corporation
# tcl rules

# Define common macros for this tcl from include/common.mk
$(eval $(call COMMON_SETUP,tcl))

$(BUILD_DIR)/tcl-$(tcl_VERSION)/.stamp_post_host_installed:
	-cd $(TSWO_HOST_INSTALL_DIR)/lib/ && \
		mv -f tclConfig.sh  tclConfig-config && \
		ln -s tclConfig-config tclConfig.sh 
	cd $(TSWO_HOST_INSTALL_DIR)/ && \
		$(FIND) . -name 'history.tcl' | xargs -iZ mv -f Z Z.old
	-rm -f $(TSWO_HOST_INSTALL_DIR)/bin/tclsh*
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/tcl-$(tcl_VERSION)/.stamp_post_rfs_installed:
	cd $(TSWO_RFS_INSTALL_DIR) && \
		$(FIND) . -name 'history.tcl' | xargs -iZ mv -f Z Z.old
	@touch $@

$(BUILD_DIR)/tcl-$(tcl_VERSION)/.stamp_post_packaged:
	cd $(tcl_PKG_INSTALL_DIR) && \
		$(FIND) . -name 'history.tcl' | xargs -iZ mv -f Z Z.old
	$(call CREATE_PACKAGE, tcl,$(tcl_PKG_INSTALL_DIR),$(tcl_PKG_NAME),$(tcl_VERSION),$(tcl_BUILDNUM),$(tcl_RUNTIME_DEPENDS))
	@rm -rf $(tcl_PKG_INSTALL_DIR)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_tcl))
SOFTWARE+=tcl
endif


# vim:set noexpandtab: 
