# Copyright (C) 2007-2010 Timesys Corporation
# alchemy-drivers rules

# Define common macros for alchemy-drivers from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,alchemy-drivers))


$(BUILD_DIR)/alchemy-drivers-$(alchemy-drivers_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/alchemy-drivers-$(alchemy-drivers_VERSION)/.stamp_host_installed:
	@touch $@

alchemy-drivers-configure: kernel-build-image
$(BUILD_DIR)/alchemy-drivers-$(alchemy-drivers_VERSION)/.stamp_built:
	$(call PRINT_INFO,building alchemy-drivers $(alchemy-drivers_VERSION))
	cd $(alchemy-drivers_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(MAKE) \
      	ARCH=$(TSWO_KERNEL_ARCH) \
				KERNELDIR=$(kernel_WORKINGDIR) \
				CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)-
	@touch $@

$(BUILD_DIR)/alchemy-drivers-$(alchemy-drivers_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/alchemy-drivers-$(alchemy-drivers_VERSION)/.stamp_packaged: DESTDIR=$(alchemy-drivers_PKG_INSTALL_DIR)
$(BUILD_DIR)/alchemy-drivers-$(alchemy-drivers_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/alchemy-drivers-$(alchemy-drivers_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,installing alchemy-drivers $(alchemy-drivers_VERSION))
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(alchemy-drivers_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(MAKE) \
      	ARCH=$(TSWO_KERNEL_ARCH) \
				KERNELDIR=$(kernel_WORKINGDIR) \
				CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)- \
				INSTALL_MOD_PATH=$(DESTDIR) \
				modules_install
	if [ "$(DESTDIR)" = "$(alchemy-drivers_PKG_INSTALL_DIR)" ]; then \
		find $(DESTDIR)/ -name 'modules.*' -exec rm -f {} \; ; \
	fi
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_alchemy-drivers))
SOFTWARE+=alchemy-drivers
endif


# vim:set noexpandtab filetype=make: 
