# Copyright (C) 2007-2010 Timesys Corporation
# attr rules

# Define common macros for attr from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,attr))

$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_host_installed: DESTDIR=$(TSWO_HOST_INSTALL_DIR)
$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_packaged: DESTDIR=$(attr_PKG_INSTALL_DIR)
$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_rfs_installed
$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_packaged
$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_post_host_installed: $(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_host_installed
$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_rfs_installed $(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_packaged $(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_shared_host_installed:
	mkdir -p $(DESTDIR)/usr/lib/
	cd $(attr_DDIR)/libattr/.libs && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TSWO_FULL_TARGET_NAME)-gcc -shared  \
			$(grep ^CFILES ../Makefile | sed -re 's/^CFILES \+?= //' | xargs | sed -re 's/\.c/\.o/g') \
			-Wl,--version-script -Wl,../../exports \
			-Wl,-soname -Wl,libattr.so.1 -o libattr.so.1.1.0
	cd $(attr_DDIR)/libattr/.libs && \
		cp -f libattr.so.1.1.0 $(DESTDIR)/usr/lib/
	$(HOSTLN) -sf libattr.so.1.1.0 $(DESTDIR)/usr/lib/libattr.so.1
	$(HOSTLN) -sf libattr.so.1 $(DESTDIR)/usr/lib/libattr.so
	@touch $@

$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{attr,setfattr,getfattr}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_attr))
SOFTWARE+=attr
endif


# vim:set noexpandtab filetype=make: 
