# Copyright (C) 2007-2010 Timesys Corporation
# ixp400-npe-library rules

# Define common macros for ixp400-npe-library from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ixp400-npe-library))

# add to software list
ifeq (y,$(TSWO_SOFTWARE_ixp400-npe-library))
SOFTWARE+=ixp400-npe-library
endif

$(BUILD_DIR)/ixp400-npe-library-$(ixp400-npe-library_VERSION)/.stamp_configured:
	@touch $@


$(BUILD_DIR)/ixp400-npe-library-$(ixp400-npe-library_VERSION)/.stamp_built:
	$(call PRINT_INFO,building ixp400-npe-library $(ixp400-npe-library_VERSION))
	cd $(ixp400-npe-library_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
        $(ixp400-npe-library_BUILD_OPTIONS) \
		$(ixp400-npe-library_MAKE_CMD)
	@touch $@

ifeq (y,$(TSWO_ixp400-npe-library_EARLY_USERSPACE))
ifeq (y,$(TSWO_EARLY_USERSPACE))
EARLY_USERSPACE+=ixp400-npe-library
ixp400-npe-library-rfs-install: $(BUILD_DIR)/ixp400-npe-library-$(ixp400-npe-library_VERSION)/.stamp_early_userspace_installed
endif
endif


NPE_LIST=$(shell cd $(ixp400-npe-library_DDIR) && find -name "NPE*")

$(BUILD_DIR)/ixp400-npe-library-$(ixp400-npe-library_VERSION)/.stamp_early_userspace_installed: $(BUILD_DIR)/ixp400-npe-library-$(ixp400-npe-library_VERSION)/.stamp_rfs_installed
	$(call PRINT_INFO,installing ixp400-npe-library $(ixp400-npe-library_VERSION) to early userspace)
	$(call REGISTER_EARLY_USERSPACE,dir,/lib/firmware,0755,0,0)
	$(foreach npe, $(NPE_LIST), $(call INSTALL_EARLY_USERSPACE,file,/lib/firmware/$(notdir $(npe)),$(ixp400-npe-library_DDIR)/$(npe),0755,0,0))
	@touch $@


# vim:set noexpandtab filetype=make: 
