# Copyright (C) 2007-2010 Timesys Corporation
# pam rules

$(eval $(call COMMON_SETUP,pam))

ifeq (disabled,$(TSWO_SOFTWARE_cracklib))
pam-patch: cracklib-host-install
else
pam_CONFIGURE_OPTIONS+=--disable-cracklib
endif
ifeq (y,$(TSWO_SOFTWARE_audit))
pam-patch: audit-host-install
else
pam_CONFIGURE_OPTIONS+=--disable-audit
endif

$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_pre_configured:
	@cd $(pam_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{mkhomedir_helper,unix_chkpwd,unix_update,pam_tally2,pam_timestamp_check,pam_tally}
	@touch $@

$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_files_packaged: DESTDIR=$(pam_PKG_INSTALL_DIR)
$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_files_packaged
$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/etc/{pam.d,init.d}
	-cp -f $(pam_SRC_DL_DIR)/other $(DESTDIR)/etc/pam.d/
	echo '#!/bin/sh' > $(DESTDIR)/etc/init.d/S99-pam-runonce
	echo 'chmod 4755 /usr/sbin/unix_chkpwd ' >> $(DESTDIR)/etc/init.d/S99-pam-runonce
	echo 'rm $$0' >> $(DESTDIR)/etc/init.d/S99-pam-runonce
	chmod +x $(DESTDIR)/etc/init.d/S99-pam-runonce
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_pam))
SOFTWARE+=pam
endif


# vim:set noexpandtab filetype=make: 
