# Copyright (C) 2007-2010 Timesys Corporation
# sysvinit rules

# Define common macros for this sysvinit from include/common.mk
$(eval $(call COMMON_SETUP,sysvinit))

$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_packaged: DESTDIR=$(sysvinit_PKG_INSTALL_DIR)
$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,installing sysvinit $(sysvinit_VERSION) to $(DESTDIR))
	@mkdir -p $(DESTDIR)/etc/{init.d,modules.d}
	cd $(sysvinit_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(sysvinit_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(sysvinit_MAKE_CMD) DESTDIR=$(DESTDIR) install
	-cp -f $(sysvinit_SRC_DL_DIR)/inittab $(DESTDIR)/etc/
	-cp -f $(sysvinit_SRC_DL_DIR)/rc* $(DESTDIR)/etc/init.d/
	-cp -f $(sysvinit_SRC_DL_DIR)/S[0-9]* $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	touch $(DESTDIR)/etc/modules
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_sysvinit))
SOFTWARE+=sysvinit
endif


# vim:set noexpandtab: 
