# Copyright (C) 2007-2010 Timesys Corporation
# tzdata rules

# Define common macros for this tzdata from include/common.mk
$(eval $(call COMMON_SETUP,tzdata))


TZ_GEN_DIR=$(BUILD_DIR)/tzdata-$(tzdata_VERSION)/tzdata-$(tzdata_VERSION)/gen

$(BUILD_DIR)/tzdata-$(tzdata_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/tzdata-$(tzdata_VERSION)/.stamp_built: /usr/sbin/zic
	@mkdir -p $(TZ_GEN_DIR)
	@cd $(tzdata_DDIR) && \
		$(TAR) --no-same-owner -xzf tzdata$(tzdata_VERSION).tar.gz
	@cd $(tzdata_DDIR) && \
		for tz in $(TSWO_tzdata_TIMEZONES); do \
			/usr/sbin/zic -d $(TZ_GEN_DIR) -L /dev/null -y ./yearistype.sh $$tz; \
			/usr/sbin/zic -d $(TZ_GEN_DIR)/posix -L /dev/null -y ./yearistype.sh $$tz; \
			/usr/sbin/zic -d $(TZ_GEN_DIR)/right -L ./leapseconds -y ./yearistype.sh $$tz; \
		done
	@cd $(tzdata_DDIR) && \
		/usr/sbin/zic -d gen -p America/New_York && \
		cp -f zone.tab $(TZ_GEN_DIR)
	@touch $@

$(BUILD_DIR)/tzdata-$(tzdata_VERSION)/.stamp_packaged:
	@mkdir -p $(tzdata_PKG_INSTALL_DIR)/usr/share/zoneinfo
	@cp -rf $(TZ_GEN_DIR)/* $(tzdata_PKG_INSTALL_DIR)/usr/share/zoneinfo/
	@touch $@
$(BUILD_DIR)/tzdata-$(tzdata_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing tzdata $(tzdata_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/share/zoneinfo
	@cp -rf $(TZ_GEN_DIR)/* $(TSWO_RFS_INSTALL_DIR)/usr/share/zoneinfo/
	@touch $@
$(BUILD_DIR)/tzdata-$(tzdata_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing tzdata $(tzdata_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)/share/zoneinfo
	@cp -rf $(TZ_GEN_DIR)/* $(TSWO_HOST_INSTALL_DIR)/share/zoneinfo/
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_tzdata))
SOFTWARE+=tzdata
endif


# vim:set noexpandtab: 
