# Copyright (C) 2007-2010 Timesys Corporation
# wintegra-dev rules

# Define common macros for wintegra-dev from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wintegra-dev))


$(wintegra-dev_SRC_DL_DIR)/$(wintegra-dev_SOURCE):
	$(call PRINT_INFO,fetching wintegra-dev $(wintegra-dev_VERSION))
	@mkdir -p $(@D) $(wintegra-dev_SRC_DL_DIR)
	$(foreach file,$(wintegra-dev_FILES),$(call FETCH_REMOTE,$(wintegra-dev_SRC_DL_DIR),$(wintegra-dev_URL)/$(file)))

$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_unpacked:
	@mkdir -p $(@D)
	@touch $@

$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_patched:
	@touch $@


$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_built:
	@touch $@


$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_rfs_installed:
	@touch $@

$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,installing init scripts for wintegra-dev)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(wintegra-dev_SRC_DL_DIR)/S15-winhdpdrv $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S15-winhdpdrv
	@touch $@

$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_setup_initscripts:
	$(call PRINT_INFO,setting up init scripts for wintegra-dev)
	mkdir -p $(wintegra-dev_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(wintegra-dev_SRC_DL_DIR)/S15-winhdpdrv $(wintegra-dev_PKG_INSTALL_DIR)/etc/init.d/
	chmod +x $(wintegra-dev_PKG_INSTALL_DIR)/etc/init.d/S15-winhdpdrv
	@touch $@

$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_setup_initscripts

$(BUILD_DIR)/wintegra-dev-$(wintegra-dev_VERSION)/.stamp_packaged:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wintegra-dev))
SOFTWARE+=wintegra-dev
endif


# vim:set noexpandtab filetype=make:
