# Copyright (C) 2007-2010 Timesys Corporation
# cracklib rules

# Define common macros for this cracklib from include/common.mk
$(eval $(call COMMON_SETUP,cracklib))

ifeq (y,$(strip $(TSWO_LIBC_UCLIBC)))
cracklib_CONFIGURE_OPTIONS+=LIBS=-lintl
endif

$(BUILD_DIR)/cracklib-$(cracklib_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{cracklib-check,cracklib-packer,cracklib-unpacker,cracklib-format,create-cracklib-dict}
	@touch $@

$(BUILD_DIR)/cracklib-$(cracklib_VERSION)/.stamp_pre_configured:
	$(call PRINT_INFO,installing cracklib-words.gz)
	@zcat $(cracklib_SRC_DL_DIR)/cracklib-words.gz > $(cracklib_DDIR)/dicts/cracklib-words
	@touch $@

$(BUILD_DIR)/cracklib-$(cracklib_VERSION)/.stamp_pre_packaged:
	$(call PRINT_INFO,building dictionary containing cracklib-words.gz)
	@cd $(cracklib_DDIR) && \
		PATH=$(cracklib_DDIR)/utils:$(BUILD_PATH) \
		$(MAKE) dicts
	@touch $@
$(BUILD_DIR)/cracklib-$(cracklib_VERSION)/.stamp_pre_rfs_installed:
	$(call PRINT_INFO,building dictionary containing cracklib-words.gz)
	@cd $(cracklib_DDIR) && \
		PATH=$(cracklib_DDIR)/utils:$(BUILD_PATH) \
		$(MAKE) dicts
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_cracklib))
SOFTWARE+=cracklib
endif


# vim:set noexpandtab: 
