# Copyright (C) 2007-2010 Timesys Corporation
# dbus-glib rules

# Define common macros for this dbus-glib from include/common.mk
$(eval $(call COMMON_SETUP,dbus-glib))

$(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_pre_built:
	-cp -f $(dbus-glib_SRC_DL_DIR)/dbus-glib-bindings.h $(dbus-glib_DDIR)/tools/
	-cp -f $(dbus-glib_SRC_DL_DIR)/dbus-bus-introspect.xml $(dbus-glib_DDIR)/
	-touch $(dbus-glib_DDIR)/dbus-bus-introspect.xml $(dbus-glib_DDIR)/tools/dbus-glib-bindings.h
	@touch $@

$(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_files_packaged: DESTDIR=$(dbus-glib_PKG_INSTALL_DIR)
$(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_files_packaged:
	@mkdir -p $(DESTDIR)/usr/include/dbus-1.0/dbus/
	-cp -f $(dbus-glib_SRC_DL_DIR)/dbus-glib-bindings.h $(DESTDIR)/usr/include/dbus-1.0/dbus/
	@touch $@

$(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_post_host_installed:
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)/usr/include/dbus-1.0/dbus/
	-cp -f $(dbus-glib_SRC_DL_DIR)/dbus-glib-bindings.h $(TSWO_HOST_INSTALL_DIR)/usr/include/dbus-1.0/dbus/
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/*dbus-binding-tool
	@touch $@

$(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_fake_host_installed:
	$(call PRINT_INFO,building dbus-glib temporary host installation)
	mkdir -p $(@D)/fake_host_build
	$(INFLATE$(suffix $(dbus-glib_SOURCE))) $(dbus-glib_SRC_DL_DIR)/$(dbus-glib_SOURCE) | \
		$(TAR) -C $(@D)/fake_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(dbus-glib_PATCHES),$(call APPLY_PATCH,$(@D)/fake_host_build/$(dbus-glib_WORKINGDIR),$(dbus-glib_SRC_DL_DIR)/$(patch)))
	cd $(dbus-glib_DIR)/fake_host_build/$(dbus-glib_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		./configure --prefix=$(TSWO_FAKE_INSTALL_DIR) --program-prefix= \
			CPPFLAGS=-I$(TSWO_FAKE_INSTALL_DIR)/include LDFLAGS=-L$(TSWO_FAKE_INSTALL_DIR)/lib \
			PKG_CONFIG_PATH=$(TSWO_FAKE_INSTALL_DIR)/lib/pkgconfig
	cd $(dbus-glib_DIR)/fake_host_build/$(dbus-glib_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE)
	cd $(dbus-glib_DIR)/fake_host_build/$(dbus-glib_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE) install
	@rm -f $(TSWO_FAKE_INSTALL_DIR)/bin/xmlwf
	@touch $@
dbus-glib-fake-host-install: dbus-glib-unpack glib2-fake-host-install dbus-fake-host-install $(BUILD_DIR)/dbus-glib-$(dbus-glib_VERSION)/.stamp_fake_host_installed


# add to software list
ifeq (y,$(TSWO_SOFTWARE_dbus-glib))
SOFTWARE+=dbus-glib
endif


# vim:set noexpandtab: 
