# Copyright (C) 2007-2010 Timesys Corporation
# dbus rules

# Define common macros for this dbus from include/common.mk
$(eval $(call COMMON_SETUP,dbus))

DBUS_X11_CONFIGURE_OPTIONS=--with-x --x-includes=$(TSWO_HOST_INSTALL_DIR)/include --x-libraries=$(TSWO_HOST_INSTALL_DIR)/lib
DBUS_X11_DEPENDS=libX11-host-install
ifneq (y,$(TSWO_SOFTWARE_xserver-xorg))
ifneq (y,$(TSWO_SOFTWARE_xserver-xfbdev))
DBUS_X11_CONFIGURE_OPTIONS=--without-x
DBUS_X11_DEPENDS=
endif
endif
dbus_CONFIGURE_OPTIONS+=$(DBUS_X11_CONFIGURE_OPTIONS)
dbus-patch: $(DBUS_X11_DEPENDS)

$(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{dbus-daemon*,*dbus-cleanup-sockets,*dbus-launch,*dbus-monitor,*dbus-send,*dbus-uuidgen}
	@touch $@

$(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_files_packaged: DESTDIR=$(dbus_PKG_INSTALL_DIR)
$(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_files_packaged
$(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_files_packaged:
	$(call PRINT_INFO,installing dbus $(dbus_VERSION) to the RFS)
	@mkdir -p $(DESTDIR)/etc/init.d
	-cp -f $(dbus_SRC_DL_DIR)/S22-dbus $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/S22-dbus
	-rm $(DESTDIR)/etc/rc.d/init.d/messagebus
	@touch $@

$(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_fake_host_installed:
	$(call PRINT_INFO,building dbus temporary host installation)
	mkdir -p $(@D)/fake_host_build
	$(INFLATE$(suffix $(dbus_SOURCE))) $(dbus_SRC_DL_DIR)/$(dbus_SOURCE) | \
		$(TAR) -C $(@D)/fake_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(dbus_PATCHES),$(call APPLY_PATCH,$(@D)/fake_host_build/$(dbus_WORKINGDIR),$(dbus_SRC_DL_DIR)/$(patch)))
	@cd $(dbus_DIR)/fake_host_build/$(dbus_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		./configure --prefix=$(TSWO_FAKE_INSTALL_DIR) \
			CPPFLAGS=-I$(TSWO_FAKE_INSTALL_DIR)/include LDFLAGS=-L$(TSWO_FAKE_INSTALL_DIR)/lib \
			PKG_CONFIG_PATH=$(TSWO_FAKE_INSTALL_DIR)/lib/pkgconfig
	@cd $(dbus_DIR)/fake_host_build/$(dbus_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE)
	@cd $(dbus_DIR)/fake_host_build/$(dbus_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE) install
	@rm -f $(TSWO_FAKE_INSTALL_DIR)/bin/{dbus-daemon*,*dbus-cleanup-sockets,*dbus-launch,*dbus-monitor,*dbus-send,*dbus-uuidgen}
	@touch $@
dbus-fake-host-install: dbus-unpack expat-fake-host-install $(BUILD_DIR)/dbus-$(dbus_VERSION)/.stamp_fake_host_installed



# add to software list
ifeq (y,$(TSWO_SOFTWARE_dbus))
SOFTWARE+=dbus
endif


# vim:set noexpandtab: 
