# Copyright (C) 2007-2010 Timesys Corporation
# glib2 rules

# Define common macros for this glib2 from include/common.mk
$(eval $(call COMMON_SETUP,glib2))

# if we are using libiconv, tell glib about it
ifeq (y,$(TSWO_SOFTWARE_libiconv))
glib2_CONFIGURE_OPTIONS+=--with-libiconv
endif
# if we are using uclibc, we should be using libiconv
# this is just for completeness
ifeq (y,$(TSWO_LIBC_UCLIBC))
glib2_CONFIGURE_OPTIONS+=--with-libiconv
endif

$(BUILD_DIR)/glib2-$(glib2_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{glib-genmarshal,gobject-query,gtester,gtester-report,gio-querymodules}
	@touch $@


$(BUILD_DIR)/glib2-$(glib2_VERSION)/.stamp_pre_configured:
	cd $(glib2_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/glib2-$(glib2_VERSION)/.stamp_fake_host_installed:
	$(call PRINT_INFO,building glib2 temporary host installation)
	mkdir -p $(glib2_DIR)/fake_host_build
	cd $(glib2_DIR)/fake_host_build && \
		$(INFLATE$(suffix $(glib2_SOURCE))) $(glib2_SRC_DL_DIR)/$(glib2_SOURCE) | \
			$(TAR) -C $(@D)/fake_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(glib2_PATCHES),$(call APPLY_PATCH,$(glib2_DIR)/fake_host_build/$(glib2_WORKINGDIR),$(glib2_SRC_DL_DIR)/$(patch)))
	cd $(glib2_DIR)/fake_host_build/$(glib2_WORKINGDIR) && \
		./configure --prefix=$(BUILD_DIR)/fake
	cd $(glib2_DIR)/fake_host_build/$(glib2_WORKINGDIR) && \
		$(MAKE)
	cd $(glib2_DIR)/fake_host_build/$(glib2_WORKINGDIR) && \
		$(MAKE) install
	@touch $@

glib2-fake-host-install: glib2-unpack $(BUILD_DIR)/glib2-$(glib2_VERSION)/.stamp_fake_host_installed

# add to software list
ifeq (y,$(TSWO_SOFTWARE_glib2))
SOFTWARE+=glib2
endif


# vim:set noexpandtab: 
