# Copyright (C) 2007-2010 Timesys Corporation
# gnupg rules

# Define common macros for gnupg from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnupg))

ifeq (y,$(TSWO_ENDIAN_BIG))
gnupg_CONFIGURE_OPTIONS+=gnupg_cv_c_endian=big
else
gnupg_CONFIGURE_OPTIONS+=gnupg_cv_c_endian=little
endif

gnupg_OPTIONAL_DEPS=bzip2 curl libusb imagemagick openldap
gnupg_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gnupg_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gnupg-patch: $(gnupg_OPTIONAL_DEPS_TARGETS)


$(BUILD_DIR)/gnupg-$(gnupg_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnupg))
SOFTWARE+=gnupg
endif


# vim:set noexpandtab filetype=make: 
