# Copyright (C) 2007-2010 Timesys Corporation
# gperf rules

# Define common macros for gperf from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gperf))

$(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/gperf
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gperf))
SOFTWARE+=gperf
endif


HOST_GPERF_DIR=$(BUILD_DIR)/gperf-$(gperf_VERSION)/host-gperf/gperf-$(gperf_VERSION)
$(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_unpack:
	$(call PRINT_INFO,unpacking host-gperf)
	mkdir -p $(@D)/host-gperf
	$(INFLATE$(suffix $(gperf_SOURCE))) $(gperf_SRC_DL_DIR)/$(gperf_SOURCE) | \
		$(TAR) -C $(@D)/host-gperf $(TSWO_TAR_OPTIONS) -
	@touch $@
$(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_patch:
	$(call PRINT_INFO,patching host-gperf)
	$(foreach patch,$(gperf_PATCHES),$(call APPLY_PATCH,$(HOST_GPERF_DIR),$(gperf_SRC_DL_DIR)/$(patch)))
	@touch $@
$(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_configured:
	$(call PRINT_INFO,configuring host-gperf)
	cd $(HOST_GPERF_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		./configure --prefix=$(TSWO_FAKE_INSTALL_DIR)
	@touch $@
$(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_built:
	$(call PRINT_INFO,building host-gperf)
	cd $(HOST_GPERF_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE)
	@touch $@
$(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_host_installed:
	$(call PRINT_INFO,installing host-gperf to the host)
	cd $(HOST_GPERF_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE) install
	@touch $@

host-gperf-fetch: gperf-fetch
host-gperf-unpack: host-gperf-fetch $(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_unpack
host-gperf-patch: host-gperf-unpack $(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_patch
host-gperf-configure: host-gperf-patch $(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_configured
host-gperf-build: host-gperf-configure $(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_built
host-gperf-package:
host-gperf-rfs-install:
host-gperf-host-install: host-gperf-build $(BUILD_DIR)/gperf-$(gperf_VERSION)/.stamp_host-gperf_host_installed

# vim:set noexpandtab filetype=make: 
