# Copyright (C) 2007-2010 Timesys Corporation
# gvfs rules

# Define common macros for gvfs from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gvfs))

gvfs_OPTIONAL_DEPS=libsoup libxml2 avahi udev fuse gconf expat hal bluez libgphoto2 gnome-keyring samba libarchive obexd openobex
gvfs_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gvfs_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gvfs-patch: $(gvfs_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/gvfs-$(gvfs_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{gvfs-rm,gvfs-save,gvfs-copy,gvfs-monitor-dir,gvfs-info,gvfs-cat,gvfs-trash,gvfs-open,gvfs-set-attribute,gvfs-ls,gvfs-tree,gvfs-mount,gvfs-less,gvfs-move,gvfs-rename,gvfs-monitor-file,gvfs-mkdir}
	@touch $@



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gvfs))
SOFTWARE+=gvfs
endif


# vim:set noexpandtab filetype=make: 
