# Copyright (C) 2007-2010 Timesys Corporation
# lirc rules

# Define common macros for lirc from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,lirc))


$(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/{bin/{irw,irrecord,pronto2lirc,lircrcd,mode2,irexec,irsend,irpty,ircat},sbin/{lircd,lircmd}}
	@touch $@

$(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_files_packaged: DESTDIR=$(lirc_PKG_INSTALL_DIR)
$(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/lirc-$(lirc_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/etc/{init.d,lirc}
	mkdir -p $(DESTDIR)/usr/share/hal/fdi/information/20thirdparty
	mkdir -p $(DESTDIR)/var/run/lirc
	-cp -f $(lirc_DDIR)/contrib/lircd.conf $(DESTDIR)/etc/lirc/
	-cp -f $(lirc_DDIR)/contrib/lircmd.conf $(DESTDIR)/etc/lirc/
	-cp -f $(lirc_SRC_DL_DIR)/S56-lirc $(DESTDIR)/etc/init.d/
	-cp -f $(lirc_DDIR)/contrib/hal/20-ircontrol-lirc.fdi $(DESTDIR)/usr/share/hal/fdi/information/20thirdparty/
	-chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_lirc))
SOFTWARE+=lirc
endif


# vim:set noexpandtab filetype=make: 
