# Copyright (C) 2007-2010 Timesys Corporation
# lzo rules

$(eval $(call COMMON_SETUP,lzo))

$(BUILD_DIR)/lzo-$(lzo_VERSION)/.stamp_fake_host_installed:
	$(call PRINT_INFO,building lzo temporary host installation)
	mkdir -p $(lzo_DIR)/fake_host_build
	cd $(lzo_DIR)/fake_host_build && \
		$(INFLATE$(suffix $(lzo_SOURCE))) $(lzo_SRC_DL_DIR)/$(lzo_SOURCE) | \
			$(TAR) -C $(@D)/fake_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(lzo_PATCHES),$(call APPLY_PATCH,$(lzo_DIR)/fake_host_build/$(lzo_WORKINGDIR),$(lzo_SRC_DL_DIR)/$(patch)))
	cd $(lzo_DIR)/fake_host_build/$(lzo_WORKINGDIR) && \
		./configure --prefix=$(BUILD_DIR)/fake
	cd $(lzo_DIR)/fake_host_build/$(lzo_WORKINGDIR) && \
		$(MAKE)
	cd $(lzo_DIR)/fake_host_build/$(lzo_WORKINGDIR) && \
		$(MAKE) install
	@touch $@

lzo-fake-host-install: lzo-unpack $(BUILD_DIR)/lzo-$(lzo_VERSION)/.stamp_fake_host_installed


# add to software list
ifeq (y,$(TSWO_SOFTWARE_lzo))
SOFTWARE+=lzo
endif


# vim:set noexpandtab filetype=make: 
