# Copyright (C) 2007-2010 Timesys Corporation
# openhpi rules

# Define common macros for openhpi from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,openhpi))

openhpi_OPTIONAL_DEPS=openssl net-snmp sysfsutils openipmi
openhpi_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(openhpi_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
openhpi-patch: $(openhpi_OPTIONAL_DEPS_TARGETS)

ifeq (y,$(TSWO_gcc_BUILD_CXX))
openhpi-CONFIGURE_OPTIONS+=--enable-cpp_wrappers
endif

$(BUILD_DIR)/openhpi-$(openhpi_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{hpisettime,hpionIBMblade,hpitop,hpireset,hpi_shell,hpiinv,hpipower,hpisensor,hpievents,hpiwdt,hpitree,hpithres,hpiel,hpifan,hpialarms}
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/openhpid
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_openhpi))
SOFTWARE+=openhpi
endif


# vim:set noexpandtab filetype=make: 
