# Copyright (C) 2007-2010 Timesys Corporation
# unzip rules

# Define common macros for this unzip from include/common.mk
$(eval $(call COMMON_SETUP,unzip))


$(BUILD_DIR)/unzip-$(unzip_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/unzip-$(unzip_VERSION)/.stamp_built:
	$(call PRINT_INFO,building unzip $(unzip_VERSION))
	cd $(unzip_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(MAKE) -f unix/Makefile generic
	@touch $@

$(BUILD_DIR)/unzip-$(unzip_VERSION)/.stamp_packaged:
	cd $(unzip_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(unzip_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(unzip_MAKE_CMD) -f unix/Makefile prefix=$(unzip_PKG_INSTALL_DIR)/usr install
	@touch $@
$(BUILD_DIR)/unzip-$(unzip_VERSION)/.stamp_host_installed:
	@touch $@
$(BUILD_DIR)/unzip-$(unzip_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing unzip $(unzip_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(unzip_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(unzip_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(unzip_MAKE_CMD) -f unix/Makefile prefix=$(TSWO_RFS_INSTALL_DIR)/usr install
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_unzip))
SOFTWARE+=unzip
endif


# vim:set noexpandtab: 
