# Copyright (C) 2007-2010 Timesys Corporation
# wfdb rules

# Define common macros for wfdb from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wfdb))

$(BUILD_DIR)/wfdb-$(wfdb_VERSION)/.stamp_configured:
	$(call PRINT_INFO,custom configuring wfdb $(wfdb_VERSION))
	cd $(wfdb_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		yes '' | sh ./configure --prefix=/usr $(wfdb_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/wfdb-$(wfdb_VERSION)/.stamp_built:
	$(call PRINT_INFO,custom building wfdb $(wfdb_VERSION))
	cd $(wfdb_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(wfdb_MAKE_CMD) \
		$(TARGET_ALIASES) \
        $(wfdb_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/wfdb-$(wfdb_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/wfdb-$(wfdb_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing wfdb $(wfdb_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(wfdb_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(wfdb_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(wfdb_MAKE_CMD) WFDBROOT=$(TSWO_RFS_INSTALL_DIR) install \
			$(TARGET_ALIASES)
	@touch $@

$(BUILD_DIR)/wfdb-$(wfdb_VERSION)/.stamp_packaged:
	cd $(wfdb_DDIR) && \
		PATH=$(BUILD_PATH) \
        $(wfdb_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(wfdb_MAKE_CMD) WFDBROOT=$(wfdb_PKG_INSTALL_DIR) install \
			$(TARGET_ALIASES)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_wfdb))
SOFTWARE+=wfdb
endif


# vim:set noexpandtab filetype=make: 
