# Copyright (C) 2007-2009 Timesys Corporation
# dtc rules

# Define common macros for dtc from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,dtc))


$(BUILD_DIR)/dtc-$(dtc_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/dtc-$(dtc_VERSION)/.stamp_built:
	$(call PRINT_INFO,building dtc $(dtc_VERSION))
	cd $(dtc_DDIR) && \
		PATH=$(BUILD_PATH) \
        $(dtc_BUILD_OPTIONS) \
		$(dtc_MAKE_CMD) 
	@touch $@

$(BUILD_DIR)/dtc-$(dtc_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing dtc to the host)
	cd $(dtc_DDIR) && \
		cp -f $(dtc_DDIR)/dtc $(TSWO_HOST_INSTALL_DIR)/bin/
	@touch $@

$(BUILD_DIR)/dtc-$(dtc_VERSION)/.stamp_rfs_installed:
	@touch $@

$(BUILD_DIR)/dtc-$(dtc_VERSION)/.stamp_packaged:
	@touch $@
$(BUILD_DIR)/dtc-$(dtc_VERSION)/.stamp_pre_packaged:
	@touch $@
$(BUILD_DIR)/dtc-$(dtc_VERSION)/.stamp_post_packaged:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_HOSTTOOL_dtc))
HOST_UTILITIES+=dtc
endif


# vim:set noexpandtab filetype=make: 
