# Copyright (C) 2007-2009 Timesys Corporation
# genext2fs make rules

# Define common macros for this genext2fs from include/common.mk
$(eval $(call COMMON_SETUP,genext2fs))

$(BUILD_DIR)/genext2fs-$(genext2fs_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring genext2fs $(genext2fs_VERSION))
	@cd $(genext2fs_DDIR) && \
		$(HOST_BUILD_OPTIONS) \
		./configure \
		--prefix=$(TSWO_HOST_INSTALL_DIR)/ \
		$(HOST_CONFIGURE_OPTIONS) \
        $(genext2fs_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/genext2fs-$(genext2fs_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing genext2fs into host environment)
	@cd $(genext2fs_DDIR) && \
		$(genext2fs_MAKE_CMD) install
	@touch $@

$(BUILD_DIR)/genext2fs-$(genext2fs_VERSION)/.stamp_built:
	$(call PRINT_INFO,building genext2fs $(genext2fs_VERSION))
	cd $(genext2fs_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(genext2fs_MAKE_CMD) \
		$(HOST_BUILD_OPTIONS) \
        $(genext2fs_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/genext2fs-$(genext2fs_VERSION)/.stamp_rfs_installed:
	@touch $@

# add to host utilities list
ifeq (y,$(TSWO_HOSTTOOL_genext2fs))
HOST_UTILITIES+=genext2fs
endif


# vim:set noexpandtab: 
