# Copyright (C) 2007-2009 Timesys Corporation
# intltool make rules

# Define common macros for this intltool from include/common.mk
$(eval $(call COMMON_SETUP,intltool))

intltool-toolchain-fetch: intltool-fetch
intltool-toolchain-host-install: intltool-toolchain-fetch $(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_toolchain_host_installed
intltool_HOST_DIR=$(intltool_DIR)/intltool-host-build/$(intltool_WORKINGDIR)

$(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_toolchain_host_installed:
	$(call PRINT_INFO,building intltool $(intltool_VERSION) for the host)
	mkdir -p $(@D)/intltool-host-build
	$(INFLATE$(suffix $(intltool_SOURCE))) $(intltool_SRC_DL_DIR)/$(intltool_SOURCE) | \
		$(TAR) -C $(@D)/intltool-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(intltool_PATCHES),$(call APPLY_PATCH,$(@D)/intltool-host-build/$(intltool_WORKINGDIR),$(intltool_SRC_DL_DIR)/$(patch)))
	$(call CONFIG_UPDATE,$(intltool_HOST_DIR))
	cd $(intltool_HOST_DIR) && \
		$(HOST_BUILD_OPTIONS) \
		$(intltool_BUILD_OPTIONS) \
		./configure \
        	--prefix=$(TSWO_HOST_INSTALL_DIR) \
			$(HOST_CONFIGURE_OPTIONS)
	cd $(intltool_HOST_DIR) && \
		$(HOST_BUILD_OPTIONS) \
		$(intltool_MAKE_CMD) install
	@touch $@

$(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_host_installed:
	@touch $@


# add to toolchain list
ifeq (y,$(TSWO_HOSTTOOL_intltool))
HOST_UTILITIES+=intltool-toolchain
endif
ifeq (y,$(TSWO_SOFTWARE_intltool))
HOST_UTILITIES+=intltool
endif


# vim:set noexpandtab: 
