# Copyright (C) 2007-2009 Timesys Corporation

mtd-utils-configure: lzo-host-install e2fsprogs-host-install

$(eval $(call COMMON_SETUP,mtd-utils))

ifeq (1.0.1,$(strip $(mtd-utils_VERSION)))
mtd-utils_BUILD_FLAGS=
else
mtd-utils_BUILD_FLAGS=CFLAGS='-I$(TSWO_FAKE_INSTALL_DIR)/include' LDFLAGS='-L$(TSWO_FAKE_INSTALL_DIR)/lib'
endif

$(BUILD_DIR)/mtd-utils-$(mtd-utils_VERSION)/.stamp_packaged:
	if [ -e $(mtd-utils_DDIR)/Makefile.orig ]; then \
		mv -f $(mtd-utils_DDIR)/Makefile.orig $(mtd-utils_DDIR)/Makefile;fi
	PATH=$(BUILD_PATH) \
		CROSS="$(TSWO_FULL_TARGET_NAME)-" \
		$(mtd-utils_MAKE_CMD) -C $(mtd-utils_DDIR)/ clean \
		CFLAGS="-I./include $(TARGET_CFLAGS)"
	PATH=$(BUILD_PATH) \
		CROSS="$(TSWO_FULL_TARGET_NAME)-" \
		$(mtd-utils_MAKE_CMD) -C $(mtd-utils_DDIR)/ \
		CFLAGS="-I./include $(TARGET_CFLAGS)"
	PATH=$(BUILD_PATH) \
		CROSS="$(TSWO_FULL_TARGET_NAME)-" \
		$(mtd-utils_MAKE_CMD) -C $(mtd-utils_DDIR)/  \
		DESTDIR="$(mtd-utils_PKG_INSTALL_DIR)" \
		CFLAGS="-I./include $(TARGET_CFLAGS)" \
		install  
	@touch $@

$(BUILD_DIR)/mtd-utils-$(mtd-utils_VERSION)/.stamp_configured:
	@touch $(@)
$(BUILD_DIR)/mtd-utils-$(mtd-utils_VERSION)/.stamp_built:
	@touch $(@)

mtd-utils-build: zlib-host-install lzo-fake-host-install e2fsprogs-fake-host-install
mtd-utils-package: zlib-package
mtd-utils-rfs-install: zlib-rfs-install

$(BUILD_DIR)/mtd-utils-$(mtd-utils_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing mtd-utils $(mtd-utils_VERSION) to host)
	$(SED) -i.orig -e "s,SBINDIR=/usr/sbin,SBINDIR=/bin," \
		-e "s,INCLUDEDIR=/usr/include,INCLUDEDIR=/include," \
		-e "s,MANDIR=/usr/man,MANDIR=/man," \
		-e "s,/sbin,/bin," \
		$(mtd-utils_DDIR)/Makefile 
	$(mtd-utils_MAKE_CMD) -C $(mtd-utils_DDIR)/ clean 
	$(mtd-utils_MAKE_CMD) \
		$(mtd-utils_BUILD_FLAGS) \
		$(mtd-utils_BUILD_OPTIONS) \
		-C $(mtd-utils_DDIR)/
	PATH=$(BUILD_PATH) \
		$(mtd-utils_MAKE_CMD) -C $(mtd-utils_DDIR)/ DESTDIR="$(TSWO_HOST_INSTALL_DIR)" install
	@touch $(@)

$(BUILD_DIR)/mtd-utils-$(mtd-utils_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing mtd-utils $(mtd-utils_VERSION) to the RFS)
	if [ -e $(mtd-utils_DDIR)/Makefile.orig ]; then \
		mv -f $(mtd-utils_DDIR)/Makefile.orig $(mtd-utils_DDIR)/Makefile;fi
	PATH=$(BUILD_PATH) \
		CROSS="$(TSWO_FULL_TARGET_NAME)-" \
		$(mtd-utils_MAKE_CMD) -C $(mtd-utils_DDIR)/ clean \
		CFLAGS="-I./include $(TARGET_CFLAGS)"
	PATH=$(BUILD_PATH) \
		CROSS="$(TSWO_FULL_TARGET_NAME)-" \
		$(mtd-utils_MAKE_CMD) -C $(mtd-utils_DDIR)/ \
		CFLAGS="-I./include $(TARGET_CFLAGS)"
	PATH=$(BUILD_PATH) \
		CROSS="$(TSWO_FULL_TARGET_NAME)-" \
		$(mtd-utils_MAKE_CMD) -C $(mtd-utils_DDIR)/ \
		DESTDIR="$(TSWO_RFS_INSTALL_DIR)" \
		CFLAGS="-I./include $(TARGET_CFLAGS)" \
		install  
	@touch $(@)

# add to host utilities list
ifeq (y,$(TSWO_HOSTTOOL_mtd-utils))
HOST_UTILITIES+=mtd-utils
endif
ifeq (y,$(TSWO_SOFTWARE_mtd-utils))
SOFTWARE+=mtd-utils
endif

# vim:set noexpandtab: 
