# Copyright (C) 2007-2009 Timesys Corporation
# squashfs make rules

# Define common macros for this squashfs from include/common.mk
$(eval $(call COMMON_SETUP,squashfs))


$(BUILD_DIR)/squashfs-$(squashfs_VERSION)/.stamp_patched:
	$(call PRINT_INFO,patching squashfs $(squashfs_VERSION))
	$(foreach patch,$(squashfs_PATCHES),$(call APPLY_PATCH,$(@D)/squashfs$(squashfs_VERSION),$(squashfs_SRC_DL_DIR)/$(patch)))
	@touch $@

$(BUILD_DIR)/squashfs-$(squashfs_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/squashfs-$(squashfs_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,packaging squashfs)
	-@rm $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/{mksquashfs,unsquashfs,*.o} 2>/dev/null
	mkdir -p $(squashfs_PKG_INSTALL_DIR)/bin
	cd $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/ && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
		CC=$(TSWO_FULL_TARGET_NAME)-gcc \
		$(squashfs_MAKE_CMD)
	cp $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/{mksquashfs,unsquashfs} $(squashfs_PKG_INSTALL_DIR)/bin
	@touch $@

$(BUILD_DIR)/squashfs-$(squashfs_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/squashfs-$(squashfs_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing squashfs to the host)
	-@rm $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/{mksquashfs,unsquashfs,*.o} 2>/dev/null
	cd $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/ && \
		$(HOST_BUILD_OPTIONS) \
		$(squashfs_MAKE_CMD)
	cp $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/{mksquashfs,unsquashfs} $(TSWO_HOST_INSTALL_DIR)/bin
	@touch $@

$(BUILD_DIR)/squashfs-$(squashfs_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing squashfs to the RFS)
	-@rm $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/{mksquashfs,unsquashfs,*.o} 2>/dev/null
	@cd $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/ && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
		CC=$(TSWO_FULL_TARGET_NAME)-gcc \
		$(squashfs_MAKE_CMD)
	@cp $(@D)/squashfs$(squashfs_VERSION)/squashfs-tools/{mksquashfs,unsquashfs} $(TSWO_RFS_INSTALL_DIR)/bin
	@touch $@


# add to host utilities list
ifeq (y,$(TSWO_HOSTTOOL_squashfs))
HOST_UTILITIES+=squashfs
endif
ifeq (y,$(TSWO_SOFTWARE_squashfs))
SOFTWARE+=squashfs
endif



# vim:set noexpandtab: 
